# Generated by Makefile. Do not edit.

commit 19d6e2274cef5a7a14ff30ff076b604086a8bdda
Author: Jérémy Lal <kapouer@melix.org>
Date:   Thu Oct 9 11:31:48 2014 +0200

    Bug 737340 - theme_text_color is no longer in gtk 3.14

 gtkhtml/htmlcolorset.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 8d107adf1caa825b6cb8c1b09ea6b636c86697d9
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Tue Oct 7 18:45:30 2014 +0200

    Bug 537825 - Text cursor not erased when moved to new position
    
    When we repaint and the cursor is visible, draw the cursor to the
    main cairo context we are using, rather than separately. This makes
    sure that we draw the cursor on top of the content and clipped to
    the redraw area, and thus preserve the shown/hidden state properly.
    
    Some combination of redraw ordering or drawing outside the clipped
    area caused the shown/hidden state of the cursor to be flipped
    on redraw, causing a left-over cursor on next cursor move.

 gtkhtml/htmlengine-edit-cursor.c | 28 ++++++++++++++++++++++++++--
 gtkhtml/htmlengine.c             |  3 ++-
 2 files changed, 28 insertions(+), 3 deletions(-)

commit 283068632dc3f9d719821775f2330901a2f5a045
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Aug 11 09:20:37 2014 +0200

    Post-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 601a80d6acbcf4dfd84d64d12cb05e484ff12758
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Aug 11 09:19:35 2014 +0200

    NEWS update for 4.8.4

 NEWS | 6 ++++++
 1 file changed, 6 insertions(+)

commit 85b04c935904212ba1a5827fdc83e22cc7633606
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Jul 17 10:43:52 2014 +0200

    Add forgotten chain-up-s to parent's constructed() method
    
    This stroke with gtk+ 3.13.4, where GtkComboBox relies on
    the constructed() being called. It was reported in Red Hat's
    bugzilla as https://bugzilla.redhat.com/show_bug.cgi?id=1120291

 components/editor/gtkhtml-combo-box.c            | 3 +++
 components/editor/gtkhtml-image-chooser-dialog.c | 3 +++
 2 files changed, 6 insertions(+)

commit 143198c4e9d3bab2baee39d93b9a82ba5bd1d5de
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Jul 14 07:34:02 2014 +0200

    Post-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a9ffaaf05296f60c66ffe21b086039cd62379361
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Jul 14 07:32:44 2014 +0200

    NEWS update for 4.8.3

 NEWS | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 59fcab11b56d6a6e1c7fbf386304cae9560fcc83
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Jul 10 12:14:09 2014 +0200

    Remove unused and obsolete gtkhtml-zip.in

 Makefile.am    |  1 -
 configure.ac   |  1 -
 gtkhtml-zip.in | 28 ----------------------------
 3 files changed, 30 deletions(-)

commit d0309233b70d1ea291b0cc6a3b7f0053c94fe80c
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Jul 10 11:09:58 2014 +0200

    Remove usages of deprecated gtk_widget_ensure_style()

 components/editor/gtkhtml-editor-private.c | 1 -
 gtkhtml/test-stress.c                      | 2 --
 2 files changed, 3 deletions(-)

commit cd65674dd01a779ed5087bf368bff9b9f9ef641c
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Jul 1 11:27:42 2014 +0200

    Bug 732499 - Use named colors from themes

 gtkhtml/htmlcolorset.c | 35 +++++++++++++++++------------------
 1 file changed, 17 insertions(+), 18 deletions(-)

commit 8e9a700e11f30b1d5b39c75c50ebddb1c2fa800b
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Jun 18 11:26:05 2014 +0200

    Bug 731611 - Do not include marshall-generated code in tarballs

 components/editor/Makefile.am | 3 +++
 1 file changed, 3 insertions(+)

commit a574e6112db41b9124ff40f529b19eb115235d5e
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Jun 9 07:56:41 2014 +0200

    Post-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 55cd24cec8078fe9fd33055f7a2aa844b3fb363b
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Jun 9 07:55:29 2014 +0200

    NEWS update for 4.8.2

 NEWS | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 22eec6375faa70671dd1ad3be6be4ef92e79e331
Author: Lasse Liehu <lasse.liehu@gmail.com>
Date:   Fri May 30 15:34:43 2014 +0300

    Finnish translation update

 po/fi.po | 410 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 220 insertions(+), 190 deletions(-)

commit 4a796558855a843bb0d57d1cb996bf6bd4868a86
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu May 29 17:13:22 2014 +0200

    Bug 729958 - Tooltips for emoticons and colors are not translated

 components/editor/gtkhtml-color-combo.c      | 2 +-
 components/editor/gtkhtml-face-tool-button.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 6bbbaee0aa36770e82b37a1fb44583500490e385
Author: Jonas Hahnfeld <hahnjo@hahnjo.de>
Date:   Thu May 29 16:54:55 2014 +0200

    Bug 729944 - UTF-8 characters are not always encoded correctly

 gtkhtml/htmlengine-save.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 14380b675f91d7dea140374df5f1da603c591324
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Thu May 29 16:46:56 2014 +0200

    Bug 729414 - Correct spelling typos in devel docs and code comments

 TODO                   | 2 +-
 doc/tmpl/gtkhtml.sgml  | 2 +-
 gtkhtml/gtkhtml.c      | 2 +-
 gtkhtml/htmlclueflow.c | 2 +-
 gtkhtml/htmlcursor.c   | 2 +-
 gtkhtml/htmlengine.c   | 4 ++--
 gtkhtml/htmlundo.c     | 2 +-
 7 files changed, 8 insertions(+), 8 deletions(-)

commit e79954fc05cd32ad3e322004af397504e247cbe5
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri May 2 14:40:50 2014 +0200

    Post-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 64d63416b6a5ecd800b3929785559842ffcc3147
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri May 2 14:39:44 2014 +0200

    NEWS update for 4.8.1

 NEWS | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 29f6a05c9e01b3ed8784a4ede99b5698cd53058d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri May 2 12:57:19 2014 +0200

    Bug #729020 - Drop gnome-icon-theme dependency
    
    gnome-icon-theme got renamed to adwaita-icon-theme. And the
    dependency is not really needed; depending on GTK+ should be
    enough to guarantee the presence of a spec-compliant icon
    theme.

 configure.ac | 6 ------
 1 file changed, 6 deletions(-)

commit c44a6518d1ae3eabc0fa21840cd5b8d6a5448663
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Mar 24 14:11:51 2014 +0100

    Post-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c137402ed181bac8be2c546006456b6c337cd9a9
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Mar 24 14:08:34 2014 +0100

    NEWS update for 4.8.0

 NEWS         | 12 ++++++++++++
 configure.ac |  2 +-
 2 files changed, 13 insertions(+), 1 deletion(-)

commit bf664ecd0d8d76490f42f080ad64b5b3dbeeeabf
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Jan 8 03:09:58 2013 +0100

    Adjust to gtk+ a11y changes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669441

 a11y/Makefile.am  |  2 --
 a11y/factory.c    | 64 -------------------------------------------------------
 a11y/factory.h    | 29 -------------------------
 a11y/object.c     | 55 +++++++++++++++--------------------------------
 a11y/object.h     |  5 +++--
 configure.ac      |  2 +-
 gtkhtml/gtkhtml.c |  4 ++--
 7 files changed, 23 insertions(+), 138 deletions(-)

commit 131fe278e3a6df5529c37d12b6c6367f38828345
Author: Wylmer Wang <wantinghard@gmail.com>
Date:   Sun Jan 5 15:30:30 2014 +0800

    Update Chinese simplified translation

 po/zh_CN.po | 786 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 403 insertions(+), 383 deletions(-)

commit de75acb6ca2b03248b56e034be3f58c4be33cc50
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Tue Oct 8 02:27:34 2013 +0300

    Updated Latvian translation

 po/lv.po | 808 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 411 insertions(+), 397 deletions(-)

commit 63c5d2137202b0d44fde2c85cf9be4a420ddf351
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Fri Aug 30 17:22:21 2013 +0200

    Updated Basque language

 po/eu.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c21907cf320f172fae0a76b7491c210b5657778a
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Fri Aug 30 17:22:00 2013 +0200

    Updated Basque language

 po/eu.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fb0cc56dbafd10e2cae12e43c17287818cbdd07d
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Fri Aug 30 17:21:35 2013 +0200

    Updated Basque language

 po/eu.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 11ec4ba5a2b519c2d5c9c95aae82fc0ddfcb69da
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Fri Aug 30 16:52:54 2013 +0200

    Updated Basque language

 po/eu.po | 770 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 399 insertions(+), 371 deletions(-)

commit 43828d106d70592069850e15b4c0801b1c68cb57
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun Aug 18 14:47:22 2013 +0200

    [l10n] Updated Italian translation.

 po/it.po | 789 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 409 insertions(+), 380 deletions(-)

commit 6d47743319e849b8f819853091fe1c4804a01973
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Jul 15 12:16:15 2013 +0200

    Bug #699574 - gtk_selection_owner_set() breaks mouse wheel scrolling

 gtkhtml/htmlselection.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9f2f6a0e3bf2763ff3c80ba4525feb3d3889ca67
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Jul 2 19:11:37 2013 +0200

    Wrong cursor position after paste of text with <div></div>
    
    The <div /> is placed as DISPLAY_BLOCK, which adds one more character
    for cursor positioning, which was not counted with, thus after paste
    the cursor was positioned before the end of the pasted text.

 gtkhtml/htmlcluev.c | 18 ++++++++++++++++++
 gtkhtml/htmlcluev.h |  1 +
 2 files changed, 19 insertions(+)

commit c6133733cb4e7fedeb86ae7ef871363a33d3d44a
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Jul 2 17:01:46 2013 +0200

    Paragraph style drawn incorrectly after font style change
    
    For example, if there is a Header 1 paragraph, and it whole is selected,
    and then a bold/italic/underline is changed, then the drawn paragraph
    style is like Normal, even the above chooser still shows Header 1. Writing
    a new character makes the text drawing fixed, showing the text correctly.
    
    The issue was that HTMLObject's parent change didn't mark the object
    properties for recalculation, thus there was used stale style set, calculated
    in time when there was no parent set on the object.

 gtkhtml/htmlobject.c | 3 +++
 1 file changed, 3 insertions(+)

commit 7f42b94185020d6095bdfe5a8e1faf35daa77a51
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Jul 2 11:54:14 2013 +0200

    Underline and strikeout lines out of its position in a printout
    
    When printing, the lines for underline and strikeout were placed
    out of its position. The was more visible with larger fonts.

 gtkhtml/htmlprinter.c | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

commit 0f5afe024fbef3bdc1cbf2dafcefd31f51c30cef
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Jun 28 19:37:20 2013 +0200

    Skip \n and \r from whitespace recognition on HTML text paste
    
    This fixes a bug in the previous commit. In case of a mutliline
    paste the new line markers are properly encoded within HTML tags,
    thus adding them as plain text resulted in doubled new lines.

 gtkhtml/gtkhtml.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 3cf4e38a9821abb5bb79e2408d2559415821baec
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Jun 27 21:02:43 2013 +0200

    Paste of HTML text removes leading/trailing whitespaces
    
    Even when copying a text within composer with leading or trailing
    whitespace, the text is marked as an HTML text in clipboard, and
    the whitespace is removed on paste, instead of preserved. The added
    code adds whitespaces as necessary.

 gtkhtml/gtkhtml.c | 35 ++++++++++++++++++++++++++++++++---
 1 file changed, 32 insertions(+), 3 deletions(-)

commit 55b4341fe53f1b2ae783158e9af0f2b370f89b5b
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Fri May 31 23:32:24 2013 +0900

    l10n: Update Japanese translation

 po/ja.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit dad1f9387e18440807ef66921ee6bd25bed0308d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon May 6 10:47:05 2013 -0400

    Bug 699757 - Crash in gtkhtml_spell_checker_get_suggestions()
    
    Initialize the "n_suggestions" variable in case enchant_dict_suggest()
    fails to set it.

 components/editor/gtkhtml-spell-checker.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 922799917a846579b8296165e514604b8a54c6cf
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:   Tue Apr 16 22:50:17 2013 +0900

    l10n: Update Japanese translation

 po/ja.po | 395 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 211 insertions(+), 184 deletions(-)

commit 4174bc4a7cc4760d21fac67ba3e263b4ab04ee29
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   Thu Apr 11 19:08:08 2013 +0500

    New Tajik Translation

 po/LINGUAS |    1 +
 po/tg.po   | 1364 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1365 insertions(+)

commit 8f3dfc0af8c1330dd2df09c763f9295eb09ff869
Author: Paul Menzel <paulepanter@users.sourceforge.net>
Date:   Tue Mar 12 11:31:35 2013 +0100

    Bug #691362 – gtkhtml/htmltext.c: Return correct enum type `PangoDirection` in `get_pango_base_direction`
    
            $ apt-get source libgtkhtml-4.0-0 # with experimental sources
            $ cd gtkhtml4.0-4.6.0
            $ clang --version
            Debian clang version 3.2-9 (tags/RELEASE_32/final) (based on LLVM 3.2)
            Target: i386-pc-linux-gnu
            Thread model: posix
            $ CC=clang ./configure
            […]
              CC     htmltext.lo
            htmltext.c:1396:11: warning: implicit conversion from enumeration type 'HTMLDirection' to different enumeration type 'PangoDirection'
                  [-Wenum-conversion]
                                    return HTML_DIRECTION_LTR;
                                    ~~~~~~ ^~~~~~~~~~~~~~~~~~
            1 warning generated.
    
    This error is present since the original commit/merge.
    
            commit 3f320b90e0e2bf6b688072d8a8baacdd22ca4691
            Author: Radek Doulik <rodo@ximian.com>
            Date:   Tue Jan 4 12:47:33 2005 +0000
    
                merge from RTL branch
    
            $ git tag --contains 3f320b90
            GNOME_2_16_BRANCHPOINT
            GTKHTML3_27_3
            GTKHTML3_31_5
            GTKHTML_2_23_4
            GTKHTML_2_29_91
            GTKHTML_3_10_0
    
    Bugzilla: https://bugzilla.gnome.org/show_bug.cgi?id=691362

 gtkhtml/htmltext.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 474c6b150158b272be3440420d2399f7b90f7ae8
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Tue Feb 19 16:55:04 2013 +0100

    Update French translation

 po/fr.po | 781 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 405 insertions(+), 376 deletions(-)

commit f2f42649fd7d180fc53bf13202060d1fa143b3d8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Feb 17 19:52:05 2013 +0100

    Updated Polish translation

 po/pl.po | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 49da155b7e1277d14552629c465a82244d5da6a4
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Feb 8 17:18:35 2013 +0100

    Add comments around g_idle_add() changes

 gtkhtml/gtkhtml.c                           | 1 +
 gtkhtml/htmlengine-edit-selection-updater.c | 1 +
 gtkhtml/htmlengine.c                        | 4 ++++
 3 files changed, 6 insertions(+)

commit fbf687757616fe882e37c8d77cc6f6118e486dde
Author: Michel Dänzer <michel@daenzer.net>
Date:   Fri Feb 8 12:11:37 2013 +0100

    Bug #683867 - Schedule actions with higher idle priority

 gtkhtml/gtkhtml.c                           | 3 ++-
 gtkhtml/htmlengine-edit-selection-updater.c | 2 +-
 gtkhtml/htmlengine.c                        | 8 ++++----
 3 files changed, 7 insertions(+), 6 deletions(-)

commit 0885d30b215adcbfc9de820eaa6f4d8766ae6a70
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Feb 8 06:47:46 2013 -0500

    Revert "Bug #683867 - Schedule actions with higher idle priority"
    
    This reverts commit cb712c53a26c97374b4e52b5d9d34cd17aa93877.
    
    The commit contains not a single comment as to why these custom priority
    values are being used.  The rationale needs to be documented in the code,
    either at each call point or preferrably at a centralized priority value
    definition.

 gtkhtml/gtkhtml.c                           | 3 +--
 gtkhtml/htmlengine-edit-selection-updater.c | 2 +-
 gtkhtml/htmlengine.c                        | 8 ++++----
 3 files changed, 6 insertions(+), 7 deletions(-)

commit cb712c53a26c97374b4e52b5d9d34cd17aa93877
Author: Michel Dänzer <michel@daenzer.net>
Date:   Fri Feb 8 12:11:37 2013 +0100

    Bug #683867 - Schedule actions with higher idle priority

 gtkhtml/gtkhtml.c                           | 3 ++-
 gtkhtml/htmlengine-edit-selection-updater.c | 2 +-
 gtkhtml/htmlengine.c                        | 8 ++++----
 3 files changed, 7 insertions(+), 6 deletions(-)

commit d1fc52ef17337f294cb0ccb1887a28508c5ba59f
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sun Feb 3 10:25:51 2013 +0100

    Updated Serbian translation

 po/sr.po       | 2044 +++++++++++---------------------------------------------
 po/sr@latin.po | 2044 +++++++++++---------------------------------------------
 2 files changed, 816 insertions(+), 3272 deletions(-)

commit 19632b85a0ab73765c433c8bd8e6e5d2dde8a7e4
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Jan 31 14:33:03 2013 +0100

    Fix a memory leak (GtkhtmlFaceAction instance)

 components/editor/gtkhtml-editor-actions.c | 1 +
 1 file changed, 1 insertion(+)

commit 9026ede3104cc70008060fcca2402201fc8f841e
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Jan 30 12:03:28 2013 +0100

    Bug #689476 - Slow composer open (emoticon and color widget leaks)

 components/editor/gtkhtml-color-combo.c      | 27 ++++++++++++++++++-------
 components/editor/gtkhtml-face-tool-button.c | 30 ++++++++++++++++++++--------
 2 files changed, 42 insertions(+), 15 deletions(-)

commit 8515db5686a30c9b306334f1d17af9b720a44cac
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Mon Jan 14 00:21:15 2013 -0200

    Updated Brazilian Portuguese Translation

 po/pt_BR.po | 773 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 401 insertions(+), 372 deletions(-)

commit 287970c170dcc09dd957f63f6bbb6a44c3cda03e
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Jan 11 13:43:05 2013 +0100

    Bug #690029 - Crash on edit of an empty HTML signature
    
    Just a workaround, to not insert HTML code which leads to empty text.

 gtkhtml/gtkhtml.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit ffbcaa2be7e3586c7ce74557a603d720b013deee
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Wed Dec 12 22:56:55 2012 +0100

    Update German translation

 po/de.po | 789 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 410 insertions(+), 379 deletions(-)

commit 41f8c49b540cc5dc05cd160e12e80a73f8a31de4
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Nov 10 11:19:58 2012 +0200

    Updated Hebrew translation.

 po/he.po | 796 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 406 insertions(+), 390 deletions(-)

commit afb2feb0e0cfbea33f7439f8415ee6237eef6355
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Oct 3 02:05:56 2012 +0200

    Updated Hungarian translation

 po/hu.po | 766 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 397 insertions(+), 369 deletions(-)

commit fb56288cef080cf8d01528b6b8673ef5a53a07e9
Author: Alexsey Nadtochey <irbis4lan@yandex.com>
Date:   Fri Sep 28 12:08:04 2012 +0400

    Updated Russian translation

 po/ru.po | 794 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 412 insertions(+), 382 deletions(-)

commit 4977d44a323561770292ee3ad05393e9f85fc422
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Sep 16 11:08:25 2012 -0400

    Bump version to 4.7.1.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d4244e838d8a4c574f557d24e027752187b29af1
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Sep 16 10:05:54 2012 -0400

    Bump version to 4.6.0.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 783a42f4dffed444eaaa6167cc7e0bc889921012
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Sep 6 17:18:09 2012 +0200

    Updated Czech translation

 po/cs.po | 782 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 405 insertions(+), 377 deletions(-)

commit 50134790e0b598b220c41dbe64f503f3626325da
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Sep 4 01:29:55 2012 +0200

    Updated Polish translation

 po/pl.po | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 7bff15bbcd25e2e88afceb8d343742903a82aba3
Author: Andika Triwidada <andika@gmail.com>
Date:   Mon Sep 3 18:12:27 2012 +0700

    Updated Indonesian translation

 po/id.po | 792 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 408 insertions(+), 384 deletions(-)

commit f8717704eeefe09654d34c62499391ee584eb76f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Sep 1 08:21:14 2012 -0400

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c73d1dd8f8255b0b31cc6d771d8e33a3a5b54818
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Sep 1 08:19:30 2012 -0400

    NEWS update for 4.5.91 release.

 NEWS | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 7dbc8b870a90f7ee342eda384f43206ebab53051
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Thu Aug 30 17:26:40 2012 +0300

    Updated Greek translation

 po/el.po | 878 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 452 insertions(+), 426 deletions(-)

commit 16bfead2f1f63da84e3d8a89f05c605157ee9a6b
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Aug 28 23:52:48 2012 +0200

    Updated Galician translations

 po/gl.po | 785 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 407 insertions(+), 378 deletions(-)

commit d1485d795cbb66b645fbe87cd28414dae4535148
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Aug 25 23:04:51 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 1643 ++++++++++++++++----------------------------------------------
 1 file changed, 410 insertions(+), 1233 deletions(-)

commit edc5f9f394a1fad0e2e74f63124773aa9b750463
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Aug 24 15:21:11 2012 +0200

    Bump version number

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4099ac353d3e0c1be4cde4f85385a0f5441ccfec
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Aug 24 15:19:15 2012 +0200

    Bug #681495 - Cannot insert a link before another one

 gtkhtml/htmltext.c | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit 40847aa33982e12b87dcb4cfb27c96fcdfe87743
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Aug 23 08:05:09 2012 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 380 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 204 insertions(+), 176 deletions(-)

commit 8e29a50503313e20140eaef69f1c24a46a1c2aa6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Aug 22 03:57:18 2012 +0200

    Updated Polish translation

 po/pl.po | 778 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 403 insertions(+), 375 deletions(-)

commit 265fd5c97cfe3917baa0cc167368da4fdb747e67
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Aug 11 11:10:25 2012 -0400

    Update git.mk.
    
    Source: https://github.com/behdad/git.mk

 git.mk | 83 +++++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 60 insertions(+), 23 deletions(-)

commit 4d10c6b19f51ac7cd82123f640dc18221f4088fa
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Aug 7 21:07:54 2012 +0200

    Updated Spanish translation

 po/es.po | 802 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 410 insertions(+), 392 deletions(-)

commit bb368fd0e1299b3d061493224cdd1d9fed519ade
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Aug 5 17:10:19 2012 -0400

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 62b4b8d0ce759291bd3d8279d161779f342ccd4a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Aug 5 17:09:58 2012 -0400

    NEWS update for 4.5.5 release.

 NEWS | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit e9c105e121568a74ef6ee3b7cec60449094f07bd
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Aug 5 16:58:22 2012 -0400

    Bump version to 4.5.5.
    
    Skipped 4.5.4 since there were no changes from 4.5.3.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 368230ab70567dc189acb4e7b9e836422159cd06
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Aug 5 16:36:43 2012 -0400

    Coding style and whitespace cleanup.

 a11y/object.c                              |   2 +-
 a11y/text.c                                |  22 ++--
 components/editor/gtkhtml-spell-language.c |   2 +-
 gtkhtml/dllmain.c                          |   2 +-
 gtkhtml/gtkhtml-stream.c                   |   2 +-
 gtkhtml/gtkhtml.c                          | 111 +++++++++---------
 gtkhtml/gtkhtmldebug.c                     |   6 +-
 gtkhtml/htmlbutton.c                       |   2 +-
 gtkhtml/htmlclue.c                         |   2 +-
 gtkhtml/htmlclueflow.c                     |   6 +-
 gtkhtml/htmlcluev.c                        |   4 +-
 gtkhtml/htmlcursor.c                       |   2 +-
 gtkhtml/htmlembedded.c                     |  44 +++----
 gtkhtml/htmlengine-edit-table.c            |   2 +-
 gtkhtml/htmlengine-save.c                  |   8 +-
 gtkhtml/htmlengine.c                       | 178 ++++++++++++++---------------
 gtkhtml/htmlentity.c                       |   2 +-
 gtkhtml/htmliframe.c                       |   2 +-
 gtkhtml/htmlimageinput.c                   |   4 +-
 gtkhtml/htmlpainter.c                      |   4 +-
 gtkhtml/htmlprinter.c                      |   4 +-
 gtkhtml/htmlshape.c                        |  72 ++++++------
 gtkhtml/htmltable.c                        |   2 +-
 gtkhtml/htmltablecell.c                    |   2 +-
 gtkhtml/htmltext.c                         |   2 +-
 gtkhtml/htmltextarea.c                     |   2 +-
 gtkhtml/htmltokenizer.c                    |   6 +-
 gtkhtml/test-stress.c                      |   4 +-
 gtkhtml/test-suite.c                       |   4 +-
 gtkhtml/testgtkhtml.c                      |  94 +++++++--------
 30 files changed, 300 insertions(+), 299 deletions(-)

commit a334981bc3d0a0c7ecbee9043eae59e421125912
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Aug 5 19:30:10 2012 +0200

    Updated Slovenian translation

 po/sl.po | 816 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 438 insertions(+), 378 deletions(-)

commit 6f5ce82abed898ee91eaa87785bc7154e9262ab6
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Aug 4 10:29:53 2012 -0400

    Remove GDK_THREADS_ENTER and GDK_THREADS_LEAVE macros.
    
    The code in gtkhtml.c is single-threaded, these macros are not needed.

 gtkhtml/gtkhtml.c | 6 ------
 1 file changed, 6 deletions(-)

commit 27a43ee0429594980d51fff2b050d75314177934
Author: Michael Wood <michael.g.wood@linux.intel.com>
Date:   Thu Aug 2 22:49:35 2012 -0400

    Bug 681087 - Add tooltips for editor toolbar items.

 components/editor/gtkhtml-editor-actions.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit bcc75208163a757d8df22746b66773a2623e7991
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Fri Jul 13 10:44:06 2012 +0300

    Updated Greek translation

 po/el.po | 687 ++++++++++++++++++++-------------------------------------------
 1 file changed, 214 insertions(+), 473 deletions(-)

commit 84e3f0b8534064dbd9af2a2970cd2c87085d70ff
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jun 24 21:09:53 2012 -0400

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dc72cf42606c560b29c6172a13df76c52b6bdc86
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jun 24 21:01:16 2012 -0400

    NEWS update for 4.5.3 release.

 NEWS | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit eb7b0ccbe3ba47809f49a1a864f4a7c8df3970e4
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jun 24 12:42:19 2012 -0400

    Whitespace cleanup.

 components/editor/gtkhtml-face-tool-button.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4fae4725243fe1d83d15c84a1e652217369d4d0d
Author: Kouhei Sutou <kou@clear-code.com>
Date:   Wed Jun 20 10:29:11 2012 -0400

    Bug 678479 - Leading spaces in first line of <pre> are ignored

 gtkhtml/htmlengine.c      | 2 +-
 gtkhtml/tests/test12.html | 6 ++++++
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 9118bd65761bd83d5c5376b69d42724d6a60cffe
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Jun 12 10:49:35 2012 +0200

    Bug #676218 - Using Emoticon picker blocks input in composer

 components/editor/gtkhtml-face-tool-button.c | 64 ++++++++++++++++++++--------
 1 file changed, 47 insertions(+), 17 deletions(-)

commit cb3500b0884c9b5ed92698026683c681f3917051
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jun 2 21:13:39 2012 -0400

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1524039ce3813bcc276e80a0cf1372e10ec2aa5d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jun 2 21:08:55 2012 -0400

    NEWS update for 4.5.2 release.

 NEWS | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 8b7de7a8e462f608aa1029648342e3fa012e28a8
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri May 18 16:46:41 2012 +0200

    Bug #676218 - Using the color Picker blocks any input for composer

 components/editor/gtkhtml-color-combo.c | 60 ++++++++++++++++++++++++---------
 1 file changed, 45 insertions(+), 15 deletions(-)

commit 1048eda4fff96eaf1d8f7dc150ab90a31be81429
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri May 11 15:41:29 2012 +0200

    Bug #675871 - Hide gnu make extensions warnings for automake 1.12

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 113a55231cc35aff8d5a8501c3821ffdd43d2aba
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed May 9 19:46:50 2012 +0200

    Add signal "spell-languages-changed"
    
    Emitted when user changes list of languages for spelling

 components/editor/gtkhtml-editor-actions.c |  2 ++
 components/editor/gtkhtml-editor-private.h |  2 ++
 components/editor/gtkhtml-editor.c         | 40 ++++++++++++++++++++++++++++++
 3 files changed, 44 insertions(+)

commit 7b7b37745d2f46914be314e4d7aef7a575529345
Author: Sam Thursfield <sam.thursfield@codethink.co.uk>
Date:   Thu May 3 15:04:20 2012 -0400

    Bug 672582 - Fix selection behavior inside <iframe>
    
    Since kinetic scrolling was introduced in Gtk+, GtkScrolledWindow
    has had its own GdkWindow. This means we need to use the allocation
    of the GtkScrolledWindow rather than its child GtkHTML widget when we
    want to translate pointer coordinates relative to the iframe, because
    a widget's GtkAllocation is relative to the parent GdkWindow.

 gtkhtml/gtkhtml.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 9b0a89d73f9dc9638a34126d2e96828d31e220fc
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 28 19:44:25 2012 -0400

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 25d736f6a1fe5472a69ce87663b0cafb475bcb0e
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 28 19:33:27 2012 -0400

    NEWS update for 4.5.1 release.

 NEWS | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 62314a59b03857667fad39995ad644ecd382f7e5
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Tue Apr 10 23:48:42 2012 +0200

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po | 653 +++++++++++++++++++++++++++---------------------------
 1 file changed, 327 insertions(+), 326 deletions(-)

commit 843d0e8840fc0dd7ad3910f4ede6e43fa225f2c4
Author: Jordi Serratosa <jordis@softcatala.cat>
Date:   Tue Apr 10 23:48:24 2012 +0200

    [l10n] Fixes on Catalan translation

 po/ca.po | 684 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 343 insertions(+), 341 deletions(-)

commit 33ea546b04534c5ae2bc55e60d5469ad27194ae5
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Apr 6 20:03:36 2012 +0200

    Bug #666850 - Grab focus on context menu popup in editor

 components/editor/gtkhtml-editor.c | 2 ++
 1 file changed, 2 insertions(+)

commit c5f8a098d274727d39087651c9cdd91491aa9e17
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Mon Apr 2 15:34:44 2012 +0200

    Updated Esperanto translation

 po/eo.po | 358 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 180 insertions(+), 178 deletions(-)

commit 9e377f448c9bc870c42c167165aeb32793731eef
Author: Hajime Taira <htaira@redhat.com>
Date:   Mon Apr 2 13:45:57 2012 +0900

    [l10n] Update Japanese translation

 po/ja.po | 659 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 330 insertions(+), 329 deletions(-)

commit 8268a688d29abd7f91978007993ab760402c6f81
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Mar 26 12:17:05 2012 -0400

    Bug 671434 - GtkhtmlEditor does not use the primary toolbar style

 components/editor/gtkhtml-editor-private.c | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit bb38cd9e67f8599db174fe669cad049395858d02
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Mar 25 22:31:21 2012 -0400

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f643c401b9ab672ff344c7cfb284173529f44567
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Mar 25 21:01:50 2012 -0400

    NEWS update for 4.4.0 release.

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit 25fbaaf7510e8932e1ece61ce2ae7adff6747a8b
Author: A S Alam <aalam@users.sf.net>
Date:   Tue Mar 20 18:39:18 2012 +0530

    update Punjabi Translation

 po/pa.po | 423 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 212 insertions(+), 211 deletions(-)

commit 4567c418e0746e9e0607a97681763b9921de9479
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Mar 19 12:36:30 2012 +0530

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 569082e628155d47bcf7ea7af7bd64034acf2948
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Mar 19 11:56:48 2012 +0530

    News update for 4.3.92 release

 NEWS | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit fcfff05c280256737e89571264729571f1e90c8e
Author: Timo Jyrinki <timo@debian.org>
Date:   Mon Mar 12 11:09:16 2012 +0200

    Finnish translation update from http://l10n.laxstrom.name/wiki/Gnome_3.4 translation sprint

 po/fi.po | 1874 +++++++++++++++-----------------------------------------------
 1 file changed, 432 insertions(+), 1442 deletions(-)

commit 24fcedd1bce60b66a72309493921d00ac337d891
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Mar 6 10:08:01 2012 -0500

    Suppress deprecation warnings.
    
    Suppress deprecated declaration warnings, particularly from GTK+, until
    we're ready to care again.  Once we require GTK+ 3.4 we can start using
    the new deprecation min/max macros.

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit 23d9236a191ba0d6c83ccf29c0bd372d26c0294c
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Mar 5 17:07:43 2012 -0500

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7ad8fbc05ffac523bc022c85b10dcab59e8f2e1c
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Mar 5 09:33:25 2012 -0500

    NEWS update for 4.3.91 release.

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit 4d99f1689e7e0606f7878769b295cc1042db5325
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Wed Feb 22 17:50:14 2012 +0200

    [l10n] Updated Estonian translation

 po/et.po | 313 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 158 insertions(+), 155 deletions(-)

commit 374b0424b914aca0dc8cfecb95b6cf2a4b7af2fd
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Feb 18 08:36:52 2012 -0500

    Coding style and whitespace cleanup.

 gtkhtml/htmlcolorset.c | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 4fcfc03b54eb4222b492327b1d9b5d44e1b780f5
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Feb 20 15:57:29 2012 +0530

    bump the version inline with GNOME release schedule

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3ef1f1ddcb475da77a48b5eebac9a569a8335711
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Feb 5 11:54:39 2012 -0500

    Fix version bump, next is 4.3.90.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e1a586fd8ef9ac6573c37bd819d7b15e20c7d9f4
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Feb 5 10:30:40 2012 -0500

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ad9bc4d3ae04730af470e34c11185bd74ce8ae94
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Feb 5 10:16:33 2012 -0500

    NEWS update for 4.3.5 release.

 NEWS         | 11 +++++++++++
 configure.ac |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit fbcaed6afe28a74956ef25ca9353bc9511a513ea
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Jan 28 16:40:42 2012 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 681 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 340 insertions(+), 341 deletions(-)

commit 48f02e92acc3bbfc933b484378cf9152743fe09a
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Jan 24 19:12:14 2012 +0100

    Bug #668215 - Selection not highlighted with recent gtk+

 components/editor/gtkhtml-color-swatch.c   |  25 +++---
 components/editor/gtkhtml-editor-private.c |  10 ++-
 gtkhtml/gtkhtml.c                          |  17 ++--
 gtkhtml/htmlcolorset.c                     | 125 +++++++++++++++++++----------
 gtkhtml/htmlpainter.c                      |   7 +-
 gtkhtml/htmlprinter.c                      |  10 ++-
 gtkhtml/htmltextarea.c                     |   8 +-
 7 files changed, 127 insertions(+), 75 deletions(-)

commit 01d02cc0b4b7e82eb52c3bebd04713bcb2a20434
Author: Jovan Naumovski <jovan3.14@gmail.com>
Date:   Mon Jan 2 21:31:01 2012 +0100

    Updated Macedonian translation.

 po/mk.po | 3125 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 1525 insertions(+), 1600 deletions(-)

commit 449a3be2d0a49aa2c51ae19a2e9f82d415ccd92d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Dec 19 10:50:34 2011 -0500

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ec496c0488d55f3e45cbe3bdae35e71e5805b7f9
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Dec 19 10:45:51 2011 -0500

    NEWS update for 4.3.3 release.

 NEWS | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 580892db87f3ab5bb88495e7d5e9fde71a371e9f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Nov 24 17:57:59 2011 -0500

    Remove all *_DISABLE_DEPRECATED_FLAGS.
    
    I'll care about deprecated APIs again when a gtk4 release date is
    announced.  Meanwhile it's just causing distros unnecessary pain.

 configure.ac | 15 +--------------
 1 file changed, 1 insertion(+), 14 deletions(-)

commit af16b12d0b68bfbf6d8fc3ada348aa2a629aa4d5
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Nov 24 17:47:34 2011 -0500

    Remove *_DISABLE_SINGLE_INCLUDES macros.
    
    We already comply, and it's required now anyway for gtk3.

 configure.ac | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 1e789de9dbede3bdb2c1f52b6eb5ac0adcf8774c
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Nov 20 15:52:19 2011 -0500

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 25a9f50e86670ab52baca9ae043b49ecde5d8dbb
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Nov 20 14:48:24 2011 -0500

    NEWS update for 4.3.2 release.

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit 4537a45bd19ae01510a445707aeb357739befa16
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Oct 26 15:25:40 2011 -0400

    Remove g_thread_init() calls.
    
    g_type_init() already calls it, and has for several GLib releases.

 components/editor/main.c | 4 ----
 1 file changed, 4 deletions(-)

commit 2ea79774d49ebd73bdb67bb18e0e68fa6092e68f
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Oct 24 09:41:21 2011 +0200

    Call g_thread_init() conditionally

 components/editor/main.c | 2 ++
 1 file changed, 2 insertions(+)

commit 1304d2460fd0aa7cb0b317015fb649d44eebcfbc
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Oct 22 20:47:07 2011 -0400

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d3af4561e3fe544dcfe6dc46dd8a0d71aa1b615d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Oct 22 20:42:20 2011 -0400

    NEWS update for 4.3.1 release.

 NEWS | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 41af36b1c89e5c42f0f6ebeabed09e86245b2648
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Oct 21 14:33:27 2011 +0200

    Use GtkWidget::style_updated signal

 gtkhtml/gtkhtml.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 4bc23f8ee059ef191f3d48bc8cbdb1d591572c01
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Oct 21 13:53:47 2011 +0200

    Bug #626922 - Crash in html_text_prepare_attrs at htmltext.c

 gtkhtml/htmltext.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit cf10ba7f344481fd25dd1a2a685fd45351284922
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Oct 12 10:18:05 2011 -0400

    Bug 660983 - Distribute gtkhtml-editor.xml in tarballs

 components/editor/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 13fd95df39ae0c884e13ef9515782ef4ad58dba1
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Mon Oct 10 17:08:03 2011 +0530

    Updated Telugu Translations

 po/te.po | 1093 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 520 insertions(+), 573 deletions(-)

commit 28e2d2826e20d8e232235677d449feda2a7eb940
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Sep 4 14:12:51 2011 -0400

    Let GtkFileChooser track its own last-used-folder.
    
    GtkFileChooser in GTK+ 3.2 now keeps track of the last-used-folder
    itself, even across applications, so get out of its way and let it
    handle it.
    
    This is an API break for libgtkhtml-editor, but Evolution should by
    now be the only consumer of this library.

 components/editor/gtkhtml-editor-actions.c       |   6 --
 components/editor/gtkhtml-editor-private.c       |  19 +----
 components/editor/gtkhtml-editor-private.h       |   1 -
 components/editor/gtkhtml-editor.c               |  81 ------------------
 components/editor/gtkhtml-editor.h               |   8 --
 components/editor/gtkhtml-image-chooser-dialog.c | 101 -----------------------
 components/editor/gtkhtml-image-chooser-dialog.h |   5 --
 components/editor/main.c                         |   5 +-
 8 files changed, 3 insertions(+), 223 deletions(-)

commit c3571d04946886f7356d59bfc1252f5211d31ca9
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Sep 28 20:30:08 2011 +0200

    Updated Serbian translation

 po/sr.po       | 501 +++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po | 501 +++++++++++++++++++++++++++++----------------------------
 2 files changed, 504 insertions(+), 498 deletions(-)

commit 5927973087dbc21daedc287982fd06e367420346
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Mon Sep 26 14:38:59 2011 +0200

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po | 438 +++++++++++++++++++++++++++---------------------------
 1 file changed, 221 insertions(+), 217 deletions(-)

commit b0174f499716acefbf5191b7aa7f4be771292f14
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sun Sep 25 13:17:46 2011 +0200

    Updated Basque language

 po/eu.po | 296 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 149 insertions(+), 147 deletions(-)

commit fbee149c5849efcb5af2263dad3597946d9d871c
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Sep 24 15:41:32 2011 -0400

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d02ad2441c0e2c6cec7a768b6a63b1f0a7cfc84a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Sep 24 15:36:30 2011 -0400

    NEWS update for 4.2.0 release.

 NEWS | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 556eff734c0c9cd9df950d23d695e7a1fe8819f3
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Sat Sep 24 16:53:52 2011 +0530

    Updated Assamese Translations:bugzilla#659595

 po/as.po | 888 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 444 insertions(+), 444 deletions(-)

commit ddb5936694dadb157e66ef3970da1a4915bb1ba8
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Sep 24 07:58:33 2011 +0900

    Updated Korean translation

 po/ko.po | 417 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 211 insertions(+), 206 deletions(-)

commit 8af8b3033762f8e5dc27975ed833bf77790d6864
Author: Flemming Christensen <fc@stromata.dk>
Date:   Wed Sep 21 09:27:00 2011 +0200

    Updated Danish translation

 po/da.po | 436 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 221 insertions(+), 215 deletions(-)

commit 878b263cd3526ce1165cc36665063b2c762ef26e
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Sep 21 03:28:45 2011 +0200

    Updated Hungarian translation

 po/hu.po | 433 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 219 insertions(+), 214 deletions(-)

commit 5b092691d44ed23f43bdce7d00371b3f033cb88d
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Sep 19 17:58:15 2011 +0530

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit faf3c95bb9f5dba56fdec78298ac47cd1f3d37e4
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Sep 19 17:34:43 2011 +0530

    News update for 4.1.92 release

 NEWS | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit aaf5b037ad48618ab2f83a651b9f6b2d1291effa
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun Sep 18 12:45:53 2011 +0200

    [l10n] Updated German translation

 po/de.po | 961 ++++++++++++++-------------------------------------------------
 1 file changed, 211 insertions(+), 750 deletions(-)

commit 0a90ec951ede51978c092fb7f5107d8d60219378
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sat Sep 17 15:08:19 2011 +0400

    Updated Russian translation

 po/ru.po | 323 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 164 insertions(+), 159 deletions(-)

commit 1e24e76169b9c0c9bb5c862a690e95c6fb3bf0e4
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Sat Sep 17 12:33:05 2011 +0900

    Updated Japanese translation

 po/ja.po | 308 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 156 insertions(+), 152 deletions(-)

commit b26fabf56be117e95945872f073678ae01bfe4e6
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:   Fri Sep 16 09:21:17 2011 -0400

    Updated Brazilian Portuguese translation.

 po/pt_BR.po | 282 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 143 insertions(+), 139 deletions(-)

commit e6b49c0f5e13e24ae47ab68df6a776622d6b13dd
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Sep 16 12:08:24 2011 +0200

    Bug #659217 - Crash when disposing GtkHTML when it's still filled

 gtkhtml/htmlengine.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit f3b93a3a5f9eb4916526239458b4c4f7ee12f4b1
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Thu Sep 15 13:42:15 2011 +0530

    hindi update

 po/hi.po | 3060 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1564 insertions(+), 1496 deletions(-)

commit 456156687acc2a474671a66e6e08832a221be2ca
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Tue Sep 13 17:30:46 2011 +0530

    updated Tamil translation

 po/ta.po | 437 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 221 insertions(+), 216 deletions(-)

commit 1a56ddf240a0fb8728c47fdc586ed6c5a3042be4
Author: Yinghua Wang <wantinghard@gmail.com>
Date:   Tue Sep 13 12:29:40 2011 +0800

    update Simplified Chinese (zh_CN) translation

 po/zh_CN.po | 430 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 217 insertions(+), 213 deletions(-)

commit 6831a52a16735177dd947307082dcf0ce6a3d87f
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sun Sep 11 01:03:21 2011 +0100

    configure.ac: enable maintainer mode by default
    
    http://blogs.gnome.org/desrt/2011/09/08/am_maintainer_mode-is-not-cool/

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a7d5eb0ce2b98102ab648a920af3f507f9250a3b
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sat Sep 10 19:33:16 2011 +0100

    Updated Portuguese translation

 po/pt.po | 437 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 221 insertions(+), 216 deletions(-)

commit 8986afb556e4d527783d3f8adb4a85187a8a0b52
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Fri Sep 9 13:22:57 2011 +0100

    Updated British English translation

 po/en_GB.po | 435 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 220 insertions(+), 215 deletions(-)

commit 4d45138d97c8427c579f8e5a914eddace4aa52ab
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Thu Sep 8 14:49:24 2011 +0530

    Updated Gujarati Translations

 po/gu.po | 276 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 138 insertions(+), 138 deletions(-)

commit f18b624738005ab3efdba53ec5c0396197b8033b
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Sep 6 19:40:31 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 434 ++++++++++++++++++++++++++++++------------------------------
 po/zh_TW.po | 434 ++++++++++++++++++++++++++++++------------------------------
 2 files changed, 438 insertions(+), 430 deletions(-)

commit 62ecc123e8748e4fd2ab556f76684b442a091002
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Sep 3 18:56:57 2011 -0400

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2e1eba18492ec8652f10498d1969f9a65ef83620
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Sep 3 18:54:29 2011 -0400

    NEWS update for 4.1.91 release.

 NEWS | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 4869202d427d52854ee280b9656ee6af3b5a7b5b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 22 22:35:59 2011 -0400

    Coding style and whitespace cleanup.

 a11y/cell.c                                 |   5 +-
 a11y/cell.h                                 |   2 +-
 a11y/factory.c                              |   2 +-
 a11y/html.c                                 |  40 +-
 a11y/hyperlink.c                            |  16 +-
 a11y/image.c                                |  14 +-
 a11y/image.h                                |   2 +-
 a11y/object.c                               |  29 +-
 a11y/object.h                               |   2 +-
 a11y/paragraph.c                            |   3 +-
 a11y/paragraph.h                            |   2 +-
 a11y/table.c                                | 121 +++--
 a11y/table.h                                |   2 +-
 a11y/text.c                                 | 164 +++---
 a11y/text.h                                 |   2 +-
 a11y/utils.c                                |   6 +-
 components/editor/gtkhtml-color-combo.c     |   8 +-
 components/editor/gtkhtml-color-swatch.c    |   3 +-
 components/editor/gtkhtml-editor-actions.c  |   2 +-
 components/editor/gtkhtml-editor-private.c  |   2 +-
 components/editor/gtkhtml-editor.c          |   7 +-
 components/editor/gtkhtml-spell-language.c  |  10 +-
 components/editor/main.c                    |   3 +-
 gtkhtml/dllmain.c                           |   4 +-
 gtkhtml/gtkhtml-embedded.c                  |  46 +-
 gtkhtml/gtkhtml-embedded.h                  |   2 +-
 gtkhtml/gtkhtml-enums.h                     |  38 +-
 gtkhtml/gtkhtml-keybinding.h                |  38 +-
 gtkhtml/gtkhtml-private.h                   |  34 +-
 gtkhtml/gtkhtml-properties.c                |  38 +-
 gtkhtml/gtkhtml-properties.h                |  36 +-
 gtkhtml/gtkhtml-search.c                    |  69 ++-
 gtkhtml/gtkhtml-search.h                    |  36 +-
 gtkhtml/gtkhtml-stream.c                    |  73 +--
 gtkhtml/gtkhtml-stream.h                    |  34 +-
 gtkhtml/gtkhtml-types.h                     |  36 +-
 gtkhtml/gtkhtml.c                           | 744 +++++++++++++++----------
 gtkhtml/gtkhtml.h                           |  36 +-
 gtkhtml/gtkhtmldebug.c                      |  59 +-
 gtkhtml/gtkhtmldebug.h                      |  34 +-
 gtkhtml/gtkhtmlfontstyle.c                  |  36 +-
 gtkhtml/gtkhtmlfontstyle.h                  |  34 +-
 gtkhtml/htmlanchor.c                        |  64 ++-
 gtkhtml/htmlanchor.h                        |  38 +-
 gtkhtml/htmlbutton.c                        |  56 +-
 gtkhtml/htmlbutton.h                        |  34 +-
 gtkhtml/htmlcheckbox.c                      |  57 +-
 gtkhtml/htmlcheckbox.h                      |  34 +-
 gtkhtml/htmlclue.c                          | 234 +++++---
 gtkhtml/htmlclue.h                          |  34 +-
 gtkhtml/htmlcluealigned.c                   |  62 ++-
 gtkhtml/htmlcluealigned.h                   |  34 +-
 gtkhtml/htmlclueflow.c                      | 470 ++++++++++------
 gtkhtml/htmlclueflow.h                      |  40 +-
 gtkhtml/htmlclueh.c                         |  61 ++-
 gtkhtml/htmlclueh.h                         |  34 +-
 gtkhtml/htmlcluev.c                         | 171 +++---
 gtkhtml/htmlcluev.h                         |  34 +-
 gtkhtml/htmlcolor.c                         |  55 +-
 gtkhtml/htmlcolor.h                         |  36 +-
 gtkhtml/htmlcolorset.c                      |  61 ++-
 gtkhtml/htmlcolorset.h                      |  36 +-
 gtkhtml/htmlcursor.c                        | 197 ++++---
 gtkhtml/htmlcursor.h                        |  38 +-
 gtkhtml/htmldrawqueue.c                     |  61 ++-
 gtkhtml/htmldrawqueue.h                     |  32 +-
 gtkhtml/htmlembedded.c                      |  97 ++--
 gtkhtml/htmlembedded.h                      |  34 +-
 gtkhtml/htmlengine-edit-clueflowstyle.c     | 117 ++--
 gtkhtml/htmlengine-edit-clueflowstyle.h     |  34 +-
 gtkhtml/htmlengine-edit-cursor.c            |  69 ++-
 gtkhtml/htmlengine-edit-cursor.h            |  34 +-
 gtkhtml/htmlengine-edit-cut-and-paste.c     | 319 ++++++++---
 gtkhtml/htmlengine-edit-cut-and-paste.h     |  38 +-
 gtkhtml/htmlengine-edit-fontstyle.c         |  88 +--
 gtkhtml/htmlengine-edit-fontstyle.h         |  34 +-
 gtkhtml/htmlengine-edit-images.c            |  62 +--
 gtkhtml/htmlengine-edit-images.h            |  34 +-
 gtkhtml/htmlengine-edit-movement.c          |  53 +-
 gtkhtml/htmlengine-edit-movement.h          |  34 +-
 gtkhtml/htmlengine-edit-rule.c              |  71 ++-
 gtkhtml/htmlengine-edit-rule.h              |  34 +-
 gtkhtml/htmlengine-edit-selection-updater.c |  38 +-
 gtkhtml/htmlengine-edit-selection-updater.h |  34 +-
 gtkhtml/htmlengine-edit-table.c             | 272 +++++++---
 gtkhtml/htmlengine-edit-table.h             |  38 +-
 gtkhtml/htmlengine-edit-tablecell.c         | 230 +++++---
 gtkhtml/htmlengine-edit-tablecell.h         |  36 +-
 gtkhtml/htmlengine-edit-text.c              |  48 +-
 gtkhtml/htmlengine-edit-text.h              |  34 +-
 gtkhtml/htmlengine-edit.c                   |  91 ++--
 gtkhtml/htmlengine-edit.h                   |  34 +-
 gtkhtml/htmlengine-print.c                  | 125 ++---
 gtkhtml/htmlengine-print.h                  |  34 +-
 gtkhtml/htmlengine-save.c                   | 101 ++--
 gtkhtml/htmlengine-save.h                   |  52 +-
 gtkhtml/htmlengine-search.c                 |  56 +-
 gtkhtml/htmlengine-search.h                 |  34 +-
 gtkhtml/htmlengine.c                        | 812 +++++++++++++++++++---------
 gtkhtml/htmlengine.h                        |  62 +--
 gtkhtml/htmlentity.c                        |   9 +-
 gtkhtml/htmlenums.h                         |  50 +-
 gtkhtml/htmlenumutils.c                     |  38 +-
 gtkhtml/htmlenumutils.h                     |  38 +-
 gtkhtml/htmlfontmanager.c                   | 137 +++--
 gtkhtml/htmlfontmanager.h                   |  34 +-
 gtkhtml/htmlform.c                          |  60 +-
 gtkhtml/htmlform.h                          |  32 +-
 gtkhtml/htmlframe.c                         | 168 +++---
 gtkhtml/htmlframe.h                         |  34 +-
 gtkhtml/htmlframeset.c                      |  90 +--
 gtkhtml/htmlframeset.h                      |  34 +-
 gtkhtml/htmlgdkpainter.c                    | 225 +++++---
 gtkhtml/htmlgdkpainter.h                    |  34 +-
 gtkhtml/htmlhidden.c                        |  37 +-
 gtkhtml/htmlhidden.h                        |  34 +-
 gtkhtml/htmliframe.c                        | 171 +++---
 gtkhtml/htmliframe.h                        |  34 +-
 gtkhtml/htmlimage.c                         | 280 ++++++----
 gtkhtml/htmlimage.h                         |  38 +-
 gtkhtml/htmlimageinput.c                    |  71 +--
 gtkhtml/htmlimageinput.h                    |  34 +-
 gtkhtml/htmlinterval.c                      | 133 +++--
 gtkhtml/htmlinterval.h                      |  36 +-
 gtkhtml/htmllist.c                          |  34 +-
 gtkhtml/htmllist.h                          |  34 +-
 gtkhtml/htmlmap.c                           |  41 +-
 gtkhtml/htmlmap.h                           |  34 +-
 gtkhtml/htmlmarshal.c                       | 132 ++---
 gtkhtml/htmlobject.c                        | 716 ++++++++++++++++--------
 gtkhtml/htmlobject.h                        |  82 +--
 gtkhtml/htmlpainter.c                       | 302 +++++++----
 gtkhtml/htmlpainter.h                       |  38 +-
 gtkhtml/htmlplainpainter.c                  |  95 ++--
 gtkhtml/htmlplainpainter.h                  |  34 +-
 gtkhtml/htmlprinter.c                       | 161 ++++--
 gtkhtml/htmlprinter.h                       |  36 +-
 gtkhtml/htmlradio.c                         |  61 ++-
 gtkhtml/htmlradio.h                         |  34 +-
 gtkhtml/htmlreplace.c                       |  43 +-
 gtkhtml/htmlreplace.h                       |  36 +-
 gtkhtml/htmlrule.c                          |  97 ++--
 gtkhtml/htmlrule.h                          |  34 +-
 gtkhtml/htmlsearch.c                        |  21 +-
 gtkhtml/htmlsearch.h                        |  36 +-
 gtkhtml/htmlselect.c                        |  48 +-
 gtkhtml/htmlselect.h                        |  34 +-
 gtkhtml/htmlselection.c                     |  90 +--
 gtkhtml/htmlselection.h                     |  34 +-
 gtkhtml/htmlsettings.c                      |  46 +-
 gtkhtml/htmlsettings.h                      |  38 +-
 gtkhtml/htmlshape.c                         | 121 +++--
 gtkhtml/htmlshape.h                         |  34 +-
 gtkhtml/htmlstack.c                         |  40 +-
 gtkhtml/htmlstack.h                         |  34 +-
 gtkhtml/htmlstringtokenizer.c               |  42 +-
 gtkhtml/htmlstringtokenizer.h               |  38 +-
 gtkhtml/htmlstyle.c                         | 155 +++---
 gtkhtml/htmlstyle.h                         |  34 +-
 gtkhtml/htmltable.c                         | 441 ++++++++++-----
 gtkhtml/htmltable.h                         |  34 +-
 gtkhtml/htmltablecell.c                     | 133 +++--
 gtkhtml/htmltablecell.h                     |  38 +-
 gtkhtml/htmltablepriv.h                     |  36 +-
 gtkhtml/htmltext.c                          | 776 ++++++++++++++++++--------
 gtkhtml/htmltext.h                          |  38 +-
 gtkhtml/htmltextarea.c                      |  57 +-
 gtkhtml/htmltextarea.h                      |  34 +-
 gtkhtml/htmltextinput.c                     |  69 +--
 gtkhtml/htmltextinput.h                     |  34 +-
 gtkhtml/htmltextslave.c                     | 299 ++++++----
 gtkhtml/htmltextslave.h                     |  34 +-
 gtkhtml/htmltokenizer.c                     | 157 +++---
 gtkhtml/htmltokenizer.h                     |  40 +-
 gtkhtml/htmltype.c                          |  40 +-
 gtkhtml/htmltype.h                          |  38 +-
 gtkhtml/htmltypes.h                         |  36 +-
 gtkhtml/htmlundo-action.c                   |  41 +-
 gtkhtml/htmlundo-action.h                   |  34 +-
 gtkhtml/htmlundo.c                          | 134 +++--
 gtkhtml/htmlundo.h                          |  34 +-
 gtkhtml/htmlurl.c                           |  61 ++-
 gtkhtml/htmlurl.h                           |  38 +-
 gtkhtml/test-stress.c                       |  25 +-
 gtkhtml/test-suite.c                        |   5 +-
 gtkhtml/test.c                              |  66 ++-
 gtkhtml/testgtkhtml.c                       | 190 ++++---
 187 files changed, 8912 insertions(+), 5920 deletions(-)

commit 39cdad3d3680da1d9bb0fd25e0dd0d7619c5f14e
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Sep 3 23:30:51 2011 +0300

    Updated Lithuanian translation

 po/lt.po | 424 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 215 insertions(+), 209 deletions(-)

commit f4a95033e645c895560a7da8a87e183bdf1c998f
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Aug 31 17:06:53 2011 +0200

    Create tar.xz files for 'make dist' only

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0482dd5ff71be71126e0416b3ab70990e8e6d8fa
Author: Frederic Peters <fpeters@0d.be>
Date:   Tue Aug 30 21:21:08 2011 -0400

    Bug 657764 - Explicitly link gtkhtml against libm
    
    We used to implicitly link to libm through gtk+, but that got dropped.
    
    http://mail.gnome.org/archives/desktop-devel-list/2011-August/msg00236.html

 configure.ac        | 3 +++
 gtkhtml/Makefile.am | 3 ++-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit e20daec49121c84aceb339482ea322f57e032823
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Mon Aug 29 14:15:11 2011 +0200

    Update French translation

 po/fr.po | 418 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 211 insertions(+), 207 deletions(-)

commit 4507b723e945f93794100222b3ffb46025c51e3a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Aug 28 11:39:34 2011 -0400

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9828a14514cd3d6afc9d4f6d8045c38ccc152e77
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Aug 28 11:34:56 2011 -0400

    NEWS update for 4.1.90 release.

 NEWS | 9 +++++++++
 1 file changed, 9 insertions(+)

commit d422c7ffacea3fb365c5822193a6c2e9ef2bb2f3
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Tue Aug 23 21:53:01 2011 +0200

    [l10n] Updated Italian translation

 po/it.po | 422 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 214 insertions(+), 208 deletions(-)

commit 234750bdbaa35b08cde75d4a645fb97d2ca63b2a
Author: Gil Forcada <gforcada@gnome.org>
Date:   Tue Aug 23 16:43:19 2011 +0200

    [l10n]Updated Catalan translation

 po/ca.po | 416 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 210 insertions(+), 206 deletions(-)

commit d2b84c49dc7c47bb8584230ac8cc9aa5d236b61f
Author: Andika Triwidada <andika@gmail.com>
Date:   Thu Aug 18 11:28:25 2011 +0700

    Updated Indonesian translation

 po/id.po | 432 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 219 insertions(+), 213 deletions(-)

commit 0794f51056126fc4c6e1923c5b920ad7416ed619
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Sun Aug 14 22:51:21 2011 +0530

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3db4cfa5c363f5e92818d116f877feaab3213129
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Sun Aug 14 20:59:14 2011 +0530

    News update for 4.1.5 release

 NEWS | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit c277a4a70e7451c6edfbfe5b3ffbec32e44501fd
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Sat Aug 13 16:50:42 2011 +0700

    Updated Thai translation.

 po/th.po | 420 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 212 insertions(+), 208 deletions(-)

commit ab0b9850d3f5124ff0f30813f0c2f37c0ccef69b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Aug 11 22:34:25 2011 +0200

    Updated Polish translation

 po/pl.po | 419 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 212 insertions(+), 207 deletions(-)

commit 9a1f351c6bd1973f97fb8b7c478f194b41d8fb76
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Wed Aug 10 23:33:08 2011 +0300

    Updated Bulgarian translation

 po/bg.po | 414 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 209 insertions(+), 205 deletions(-)

commit aab3d5739fa48c10b94cff02d2f2c4dc988a8ca0
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Jul 28 12:48:10 2011 +0200

    Bug #655277 - Remove 'No such language' runtime warning

 components/editor/gtkhtml-editor.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 04ad298d18b440b2dfc0590f0db3b3856cbb874d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jul 23 11:32:14 2011 -0500

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 065c3188a73d1081838ca282cd6f1422f2c0397f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jul 23 11:29:50 2011 -0500

    NEWS update for 4.1.4 release.

 NEWS | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 454eb1d1005735443d116f829760f226a53653a2
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jul 22 07:51:08 2011 -0500

    Bug 655002 - GtkHTML still gets font settings from GConf

 README                       |   1 -
 configure.ac                 |   2 +-
 doc/gtkhtml-decl.txt         |  10 ---
 gtkhtml/gtkhtml-private.h    |   2 +-
 gtkhtml/gtkhtml-properties.c |  15 ----
 gtkhtml/gtkhtml-properties.h |   9 ---
 gtkhtml/gtkhtml.c            | 173 ++++++++++++++++---------------------------
 7 files changed, 66 insertions(+), 146 deletions(-)

commit ea74950f68af3cdc700f28f361f13534a0d888d8
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Jul 15 17:17:41 2011 +0200

    Updated Czech translation

 po/cs.po | 279 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 141 insertions(+), 138 deletions(-)

commit 9872fccac69649b3067ba2e98ae2be88c1dd59ab
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Tue Jul 12 18:57:51 2011 +0300

    Updated Latvian translation.

 po/lv.po | 418 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 210 insertions(+), 208 deletions(-)

commit e542c62d577af765a68dadf3b44e31eac817da4f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jul 9 17:17:43 2011 -0400

    Remove G_DISABLE_DEPRECATED.
    
    ATK headers still use G_CONST_RETURN, which is deprecated.

 configure.ac | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit b1759fe3cb40f37259de5dc4dbd4d5e5a4648e51
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Thu Jul 7 16:51:04 2011 +0200

    Added UG translation

 po/ug.po | 271 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 138 insertions(+), 133 deletions(-)

commit f8e666efea4479164a049184eb5419c96f5ad14d
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Jul 4 14:57:15 2011 +0530

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 60b93846ff38516c9b4dae327082890e714c2e96
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Jul 4 14:15:56 2011 +0530

    News update for 4.1.3 release

 NEWS | 6 ++++++
 1 file changed, 6 insertions(+)

commit d47898012dc1e53b8a5d4857bca65cf271012e84
Author: Daniel Nylander <po@danielnylander.se>
Date:   Mon Jun 20 09:19:40 2011 +0200

    Updated Swedish translation

 po/sv.po | 484 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 280 insertions(+), 204 deletions(-)

commit 80ae2b9a29096b5f68d0c72360fcd0a5930a24c5
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jun 13 11:33:57 2011 -0400

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6dc891b457f963e38d9950308ecf6c867929accd
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jun 13 11:31:27 2011 -0400

    NEWS update for 4.1.2 release.

 NEWS | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 860d0151a893f371d5b60d50ee5ed4d4f2d9144f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jun 13 10:24:37 2011 -0400

    Coding style cleanup.

 gtkhtml/gtkhtml.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5e16169b6d32ef95f5f79b2d27f14059bc3e5089
Author: Javier Jardón <jjardon@gnome.org>
Date:   Thu Jun 9 17:49:35 2011 +0100

    Use 'const' instead G_CONST_RETURN

 a11y/hyperlink.c | 8 ++++----
 a11y/image.c     | 8 ++++----
 a11y/object.c    | 6 +++---
 a11y/table.c     | 6 ++----
 a11y/text.c      | 2 +-
 5 files changed, 14 insertions(+), 16 deletions(-)

commit a3df05366908e7c11ebfc350ed1290dc275fe54f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Jun 6 11:14:52 2011 +0200

    Updated Galician translations

 po/gl.po | 418 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 211 insertions(+), 207 deletions(-)

commit 06524fd9a0e207308704a93fa285c5343b525373
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon May 16 13:09:46 2011 +0200

    Bug #601541 - Add 'Copy Image' Option On Inline Email Images

 gtkhtml/gtkhtml.c | 23 +++++++++++++++++++++++
 gtkhtml/gtkhtml.h |  3 +++
 2 files changed, 26 insertions(+)

commit 5dfe6e1fd2324f68e53aa407109ba39f73a34d53
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu May 12 18:11:06 2011 -0400

    GtkHTML: Use g_type_class_add_private().
    
    More resistant to weird lifecycle issues than allocating a private
    struct ourselves and then freeing it in dispose() (which was the wrong
    place to free it anyway -- should have been freed in finalize()).

 gtkhtml/gtkhtml.c | 75 +++++++++++++++++++++++++++++--------------------------
 1 file changed, 39 insertions(+), 36 deletions(-)

commit dc6dab91adb139ef467b3e5a383f8a57156b9b0c
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Mon May 9 00:26:07 2011 +0300

    Updated Hebrew translation.

 po/he.po | 415 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 210 insertions(+), 205 deletions(-)

commit eda46c95451c714ef95b90e7da9240634958f0aa
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun May 8 12:43:09 2011 -0400

    Coding style cleanups.

 a11y/html.c                                |  2 +-
 components/editor/gtkhtml-spell-language.c |  2 +-
 gtkhtml/gtkhtml-embedded.c                 |  2 +-
 gtkhtml/gtkhtml.c                          | 16 ++++++++--------
 gtkhtml/htmlclueflow.c                     |  6 +++---
 gtkhtml/htmldrawqueue.c                    |  2 +-
 gtkhtml/htmlengine-save.c                  | 10 +++++-----
 gtkhtml/htmlengine.c                       | 10 +++++-----
 gtkhtml/htmlentity.c                       | 10 +++++-----
 gtkhtml/htmlform.c                         |  2 +-
 gtkhtml/htmlimage.c                        |  4 ++--
 gtkhtml/htmlobject.h                       |  2 +-
 gtkhtml/htmlpainter.c                      |  8 ++++----
 gtkhtml/htmlprinter.c                      |  6 +++---
 gtkhtml/htmlshape.c                        |  2 +-
 gtkhtml/htmltext.c                         |  2 +-
 gtkhtml/test.c                             |  8 ++++----
 gtkhtml/testgtkhtml.c                      | 12 ++++++------
 18 files changed, 53 insertions(+), 53 deletions(-)

commit 9dc1b992b349fa2365c78f64924b14cae2f33448
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun May 8 08:55:21 2011 -0400

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 972cd8a4eb4a44524091fc5353328daa81deae8d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun May 8 08:52:35 2011 -0400

    NEWS update for 4.1.1 release.

 NEWS         | 34 ++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 35 insertions(+), 1 deletion(-)

commit 68a583f7fb8120f1869a3339b3bd8180016e1741
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed May 4 13:33:31 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 415 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 209 insertions(+), 206 deletions(-)

commit 94d2ab0282ae683d4ad92ff9a3ecb7b16c6b7f61
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Mon May 2 02:43:19 2011 +0300

    Uploaded Ukranian

 po/uk.po | 294 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 149 insertions(+), 145 deletions(-)

commit 1ad61cc9758bcb7069fd7eaffff33a1bab55cbe8
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Apr 28 21:16:19 2011 +0200

    Updated Slovenian translation

 po/sl.po | 429 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 217 insertions(+), 212 deletions(-)

commit 329c8d27db02cffa73618002ed2e39108e96a43c
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Apr 24 10:10:38 2011 -0400

    Require gladeui-2.0 for Glade catalogs.

 components/editor/Makefile.am | 4 ++--
 configure.ac                  | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 60434a81c0ab268ed2c94a985a40707bcc9da6ef
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Apr 11 21:16:22 2011 +0200

    Updated Spanish translation

 po/es.po | 421 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 212 insertions(+), 209 deletions(-)

commit 0e2bd39daa7cf116f022f1c5734403b29dc3fa93
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Apr 11 09:35:50 2011 -0400

    Work around an accessibility crash.
    
    For some reason, gtk_html_a11y_new() is being called during a GtkHTML
    dispose.  The HTMLEngine pointer was NULL, which caused a crash when the
    a11y logic tried to do html->engine->clue.  This strikes me as a libgail
    issue, but for now just work around it.

 a11y/object.c | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 95dd30b39b05f826c56014aad98077dd8d48f893
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sun Apr 10 01:10:58 2011 +0200

    Add Esperanto translation

 po/LINGUAS |    1 +
 po/eo.po   | 1720 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1721 insertions(+)

commit 85947cfc2fb2417cb42585262452dd22df10895f
Author: Dan Vrátil <dvratil@redhat.com>
Date:   Thu Apr 7 18:07:14 2011 -0400

    Bug 593572 - Lack of feedback when there are no search hits
    
    Displays "No match found" in the search dialog when no further search
    hits are found.  It's a bit overzealous about showing the message right
    now but that's a different bug.

 components/editor/gtkhtml-editor-actions.c  |  5 +++
 components/editor/gtkhtml-editor-builder.ui | 62 ++++++++++++++++++-----------
 components/editor/gtkhtml-editor-signals.c  |  1 +
 components/editor/gtkhtml-editor-widgets.h  |  2 +
 4 files changed, 47 insertions(+), 23 deletions(-)

commit 4ea19526b001f68d27c95f3baff1cdf59125f814
Author: Jordi Serratosa <serratosa@gmail.com>
Date:   Mon Apr 4 21:30:32 2011 +0200

    [l10n]Fixes on Catalan translation

 po/ca.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit fc288e5d3e0109d0ad87f76ee0d4f6ed986fabe8
Author: Jiro MATSUZAWA <matsuzawa.jr@gmail.com>
Date:   Mon Apr 4 13:16:48 2011 +0900

    Updated Japanese translation.

 po/ja.po | 416 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 209 insertions(+), 207 deletions(-)

commit 54f6b5352887e0cd7db03d6d4945f4ac20220410
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Apr 2 14:17:44 2011 +0200

    Updated Basque language

 po/eu.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 62dcbd4c9abd761c0b5418d441a1cf1aa189cc55
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Apr 2 14:11:50 2011 +0200

    Updated Basque language

 po/eu.po | 803 ++++++++++++++++++++++-----------------------------------------
 1 file changed, 284 insertions(+), 519 deletions(-)

commit d9e8e5b4c07976d73400c92398d94097c3c2e394
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Apr 1 21:41:02 2011 +0200

    Updated Hungarian translation

 po/hu.po | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit 6bf452c455b0bfaa6df882ea40ec12e20192701e
Author: Leonid Kanter <leon@asplinux.ru>
Date:   Fri Apr 1 14:22:18 2011 +0300

    applied patch from https://bugzilla.gnome.org/show_bug.cgi?id=628931

 po/ru.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 227210d4d0c01472cabd85e283cd8bc17d199530
Author: Lukas Lommer <llommer@svn.gnome.org>
Date:   Tue Mar 29 17:11:27 2011 +0200

    Updated Czech translation

 po/cs.po | 401 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 200 insertions(+), 201 deletions(-)

commit 6330865cfadad3357a3a4d3ba88bf653ac42f0c0
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Mon Mar 28 12:40:22 2011 +0530

    Updated Gujarati Translations

 po/gu.po | 809 +++++++++++++++++++++++----------------------------------------
 1 file changed, 293 insertions(+), 516 deletions(-)

commit 784fd5f547d9ec8b2e444187c9b8b78aac33955c
Author: Rodrigo Padula de Oliveira <contato@rodrigopadula.com>
Date:   Sun Mar 27 18:06:27 2011 -0400

    Updated Brazilian Portuguese translation. Reviewed by Flamarion Jorge.

 po/pt_BR.po | 1372 +++++++++++++----------------------------------------------
 1 file changed, 299 insertions(+), 1073 deletions(-)

commit 93f841bc744ddd4e2bdd27dbd3d123d2cea1b651
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Sun Mar 27 21:26:01 2011 +0200

    Added UG translation

 po/ug.po | 408 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 204 insertions(+), 204 deletions(-)

commit 4d00dc37f41be636f581baf2f303750a71063bfc
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Mar 21 14:58:27 2011 -0400

    Begin GtkHtml 4.1 development.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fadeb7c47c5e5c5dc184893e646b3d0d737bfe4d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Mar 21 10:07:27 2011 -0400

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3e1d1ba075c1f3fc0d25d9e33fd6d805ad9c9b4b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Mar 21 10:03:32 2011 -0400

    NEWS update for 3.91.92 release.

 NEWS | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 7b5616d23a7ebb62963872cbd50b4a9bb48ee9f7
Author: Amitakhya Phukan <amitakhya@svn.gnome.org>
Date:   Mon Mar 21 12:20:29 2011 +0530

    Updated Assamese translations

 po/as.po | 858 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 401 insertions(+), 457 deletions(-)

commit 1a34d4f0e067266e988992239473c91481c8c110
Author: Yuri Kozlov <yuray@komyakino.ru>
Date:   Sun Mar 20 16:04:03 2011 +0300

    Updated Russian translation

 po/ru.po | 798 ++++++++++++++++++++++-----------------------------------------
 1 file changed, 283 insertions(+), 515 deletions(-)

commit 4b1531a2b952836923c97351a97c5e68793cee99
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Wed Mar 16 23:22:47 2011 +0100

    Updated Romanian translation

 po/ro.po | 20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

commit 5af4e98395286854e3cfc7984f324373dc7bca82
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Wed Mar 16 23:19:28 2011 +0100

    Updated Romanian translation

 po/ro.po | 715 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 330 insertions(+), 385 deletions(-)

commit 7311ef4ebd81e4a66723c3afe44639b3fa4cd9da
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Mar 7 22:15:18 2011 -0500

    Bug 644166 - Add style class to primary toolbars
    
    Requires GTK+ >= 3.0.2 since GTK_STYLE_CLASS_PRIMARY_TOOLBAR is a very
    recent addition.

 components/editor/gtkhtml-editor-private.c | 4 ++++
 configure.ac                               | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 28d0a74248d7f31f743484c73c6d43683d296ee2
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Mar 6 09:06:03 2011 -0500

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bb3980a44a0888a58ba998b5e64fed594647c956
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Mar 6 09:03:37 2011 -0500

    Remove --disable-gtk3 from DISTCHECK_CONFIGURE_FLAGS.

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 17c8a0b1b1bd85d8018f7ae86cbf53bf60d19e8f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Mar 6 09:02:25 2011 -0500

    NEWS update for 3.91.91 release.

 NEWS | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 01f8b770cc7d552556625aa9d478071f15a7c17e
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Mar 5 11:05:44 2011 -0500

    Coding style cleanup.

 components/editor/gtkhtml-color-combo.c          | 3 ++-
 components/editor/gtkhtml-color-palette.c        | 4 +++-
 components/editor/gtkhtml-color-state.c          | 3 ++-
 components/editor/gtkhtml-color-swatch.c         | 3 ++-
 components/editor/gtkhtml-combo-box.c            | 3 ++-
 components/editor/gtkhtml-editor.c               | 3 ++-
 components/editor/gtkhtml-face-action.c          | 3 ++-
 components/editor/gtkhtml-face-chooser-menu.c    | 4 +++-
 components/editor/gtkhtml-face-tool-button.c     | 4 +++-
 components/editor/gtkhtml-image-chooser-dialog.c | 4 +++-
 components/editor/gtkhtml-spell-checker.c        | 5 ++++-
 components/editor/gtkhtml-spell-dialog.c         | 3 ++-
 12 files changed, 30 insertions(+), 12 deletions(-)

commit 27edc14da17cba42ea5b50fab05e462901475e34
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:   Fri Mar 4 20:11:42 2011 +0530

    Updated Oriya Translation

 po/or.po | 2992 ++++++++++++++++++++++++--------------------------------------
 1 file changed, 1166 insertions(+), 1826 deletions(-)

commit 9fb056d5e647c9b5466e65394f992e75e5ce229a
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue Mar 1 21:00:58 2011 +0200

    Uploaded Ukranian

 po/uk.po | 1005 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 475 insertions(+), 530 deletions(-)

commit 345ca3bcdbcf5e1168b9073f6c53662259e85bd2
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Tue Mar 1 01:01:54 2011 +0200

    Updated Latvian translation.

 po/lv.po | 848 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 346 insertions(+), 502 deletions(-)

commit ceea255eab2bfd77a0fdf880e239bae4f43a4310
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Feb 24 14:05:57 2011 +0100

    Bug #614480 - Avoid using G_TYPE_INSTANCE_GET_PRIVATE repeatedly

 components/editor/gtkhtml-color-combo.c          | 16 ++++++----------
 components/editor/gtkhtml-color-palette.c        |  8 ++------
 components/editor/gtkhtml-color-state.c          | 10 +++-------
 components/editor/gtkhtml-color-swatch.c         | 12 ++++--------
 components/editor/gtkhtml-combo-box.c            | 10 +++-------
 components/editor/gtkhtml-editor-private.h       |  4 ----
 components/editor/gtkhtml-editor.c               |  2 +-
 components/editor/gtkhtml-face-action.c          | 20 ++++++++------------
 components/editor/gtkhtml-face-chooser-menu.c    |  7 +------
 components/editor/gtkhtml-face-tool-button.c     | 14 +++++---------
 components/editor/gtkhtml-image-chooser-dialog.c | 13 ++++---------
 components/editor/gtkhtml-spell-checker.c        | 10 +++-------
 components/editor/gtkhtml-spell-dialog.c         | 10 +++-------
 13 files changed, 43 insertions(+), 93 deletions(-)

commit d508d292b8262c437b57d77e1aa42db1d1a5e291
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Feb 21 16:59:15 2011 +0530

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2b9fcef037565e7cffc3201a32007126c53cd494
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Feb 21 14:46:36 2011 +0530

    News update for 3.91.90 release

 NEWS | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 3da8a1663a8b4a50c5bca47a8d38b785d93bd98a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Fri Feb 18 18:53:29 2011 -0500

    Bug 641833 - Cleanups and fixes for compiler warnings

 gtkhtml/gtkhtml.c                  |  6 +++---
 gtkhtml/htmlengine-edit-movement.c | 12 ++++++------
 gtkhtml/htmlengine-save.c          |  1 -
 gtkhtml/htmlengine.c               | 22 ++++++++--------------
 gtkhtml/testgtkhtml.c              |  1 -
 5 files changed, 17 insertions(+), 25 deletions(-)

commit 32e160332ca0293c57133d8b2191984a9e521320
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Feb 18 12:38:47 2011 +0100

    Bug #642656 - Screen flickers black in body when replying email

 gtkhtml/gtkhtml.c    |  4 +---
 gtkhtml/htmlengine.c | 56 ++++++++--------------------------------------------
 2 files changed, 9 insertions(+), 51 deletions(-)

commit ab4e313bf2eb8d500d692ca764a5d75bc5266c50
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Feb 12 11:09:09 2011 -0500

    Remove NULL checks for GObject methods.
    
    As of GLib 2.28 all GObject virtual methods, including constructed(),
    are safe to chain up to unconditionally.  Remove unnecessary checks.

 gtkhtml/gtkhtml.c        | 4 ++--
 gtkhtml/htmlgdkpainter.c | 5 ++---
 2 files changed, 4 insertions(+), 5 deletions(-)

commit f757248a8e65e5c9bd9693c326084288ed456aeb
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Feb 10 16:50:17 2011 -0500

    Bump GTK+ requirement to 3.0.
    
    This requirement is now locked until GNOME 3.3 development begins.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 034968c7830e74fdbf28b1fe586c29c3f44f5bc6
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Feb 8 00:07:21 2011 -0500

    Bug 641765 - Fix warnings from GCC 4.6
    
    GCC learned how to find dead assignments.

 components/editor/gtkhtml-editor-signals.c | 12 +-----------
 gtkhtml/gtkhtml.c                          |  9 +++------
 2 files changed, 4 insertions(+), 17 deletions(-)

commit 89ecc30bc5e6947d75c866dddfcc78d913fcf012
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Jan 31 18:26:51 2011 +0530

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d886b3e842f33bca2f267e0dd91238db866f2ed9
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Jan 31 17:05:53 2011 +0530

    News update for 3.91.6 release

 NEWS | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit b860e4813fb25e2d68fbf5ce0d98d5b2244cc2be
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jan 30 10:23:26 2011 -0500

    More whitespace cleanup.

 a11y/cell.c                                |   2 +-
 a11y/html.c                                |   2 +-
 a11y/image.c                               |   2 +-
 a11y/object.c                              |   6 +-
 a11y/paragraph.c                           |   2 +-
 a11y/table.c                               |   4 +-
 a11y/text.c                                |  64 +++++++-------
 components/editor/gtkhtml-editor-actions.c |   2 +-
 components/editor/gtkhtml-editor-private.c |   2 +-
 gtkhtml/dllmain.c                          |  62 ++++++-------
 gtkhtml/gtkhtml-stream.c                   |   2 +-
 gtkhtml/gtkhtml.c                          |  56 ++++++------
 gtkhtml/htmlclueflow.c                     |  58 ++++++------
 gtkhtml/htmlembedded.c                     |   6 +-
 gtkhtml/htmlengine-edit-clueflowstyle.c    |   2 +-
 gtkhtml/htmlengine-edit-cursor.c           |   6 +-
 gtkhtml/htmlengine-edit-movement.c         |   4 +-
 gtkhtml/htmlengine-edit-table.c            |  10 +--
 gtkhtml/htmlengine.c                       |   6 +-
 gtkhtml/htmlentity.c                       |  28 +++---
 gtkhtml/htmlframeset.c                     |   2 +-
 gtkhtml/htmliframe.c                       |   4 +-
 gtkhtml/htmlimage.c                        |   4 +-
 gtkhtml/htmlmarshal.c                      | 136 ++++++++++++++---------------
 gtkhtml/htmlobject.c                       |   4 +-
 gtkhtml/htmlrule.c                         |   2 +-
 gtkhtml/htmltablecell.c                    |   2 +-
 gtkhtml/htmltext.c                         |  16 ++--
 gtkhtml/htmlurl.c                          |   4 +-
 gtkhtml/testgtkhtml.c                      |  32 +++----
 30 files changed, 266 insertions(+), 266 deletions(-)

commit 4ddec85a21126ecbbabec5011b7b2a2a051013a8
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 29 10:08:56 2011 -0500

    Coding style and whitespace cleanup.

 components/editor/gtkhtml-color-swatch.c | 14 ++++----
 gtkhtml/htmlsearch.c                     | 56 ++++++++++++++++----------------
 2 files changed, 36 insertions(+), 34 deletions(-)

commit 1ee3e676bb7b342770fd25fbd9ff88856b9b047e
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jan 28 01:02:48 2011 -0500

    Add preview in Insert Image dialog.
    
    Also restrict the files shown to images only.

 components/editor/Makefile.am                    |   2 +
 components/editor/gtkhtml-editor-actions.c       |  44 +--
 components/editor/gtkhtml-editor-private.c       |  30 ---
 components/editor/gtkhtml-editor-private.h       |   4 +-
 components/editor/gtkhtml-image-chooser-dialog.c | 325 +++++++++++++++++++++++
 components/editor/gtkhtml-image-chooser-dialog.h |  73 +++++
 6 files changed, 427 insertions(+), 51 deletions(-)

commit 368110b5b96d022cde109236982c052cfe7eacb0
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Jan 27 03:27:29 2011 +0100

    QA of Galician translations

 po/gl.po | 192 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 96 insertions(+), 96 deletions(-)

commit 5e789ee20e7e0bce30ffe786044fb7601b550a77
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Jan 26 13:22:59 2011 -0500

    Require the latest gtk+-3.0 release until 3.0.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 69232558a687bea51922735e2de81dca2cf015c5
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Jan 26 17:02:18 2011 +0100

    Bug #640533 - Incorrect rendering with inner frames

 gtkhtml/htmlengine.c | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit d875a5ba7b8bb2b3c6355ab35b172403918ac110
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Jan 26 14:35:55 2011 +0100

    Do not allocate space for GtkHTMLEmbedded when child is hidden

 gtkhtml/gtkhtml-embedded.c | 24 ++++++++----------------
 1 file changed, 8 insertions(+), 16 deletions(-)

commit 2132087cf9ab03390a824c71ba1dfda05f6cd58c
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Jan 25 12:48:08 2011 +0100

    No GtkWidget::extension-events property in Gtk3

 components/editor/gtkhtml-editor-builder.ui | 1 -
 1 file changed, 1 deletion(-)

commit 21be78cd4d6cffb1ccd63b8f562cb00e85de7a1e
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Jan 24 15:47:02 2011 +0100

    Remove unnecessary calls of gtk_adjustment_value_changed()

 gtkhtml/gtkhtml.c | 14 +-------------
 1 file changed, 1 insertion(+), 13 deletions(-)

commit 98c3af6f46dec78dfeff926e082a46fdfbc2b0ac
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Dec 22 10:10:13 2010 -0500

    Adapt to recent GTK+ changes
    
    Use g_object_unref instead of gdk_cursor_unref. Bump the GTK+ dep
    to 2.91.7 for this change.

 configure.ac      | 2 +-
 gtkhtml/gtkhtml.c | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 00e581eb60c9385c2379e49ec824f305a1485691
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Dec 17 17:54:13 2010 +0100

    Fix drawing with gtk3

 components/editor/gtkhtml-color-swatch.c | 22 +++-----
 gtkhtml/gtkhtml-private.h                |  3 +
 gtkhtml/gtkhtml.c                        | 95 ++++++++++++++------------------
 gtkhtml/htmlengine.c                     | 27 +++++----
 gtkhtml/htmlengine.h                     |  7 +--
 5 files changed, 66 insertions(+), 88 deletions(-)

commit 998e9b6f48da3b0dc6c7b6b7e67cb00b416d31e9
Author: Vibha Yadav <yvibha@novell.com>
Date:   Thu Dec 2 17:40:44 2010 +0530

    Bug #635571 - Adapt size_request to gtk-3.0 change
    
    Build is failing as size_request is deprecated from GtkWidgetClass
    Using get_preferred_width and get_preferred_height instead of
    size_request.

 components/editor/gtkhtml-color-combo.c  | 22 +++++++++++++++----
 components/editor/gtkhtml-color-swatch.c | 22 +++++++++++++++----
 gtkhtml/gtkhtml-embedded.c               | 33 ++++++++++++++++++++++-------
 gtkhtml/gtkhtml.c                        | 36 ++++++++++++++++++++++----------
 4 files changed, 87 insertions(+), 26 deletions(-)

commit 08357570c888af6a26a3e321be9bdb40b6bd520a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Nov 8 20:35:41 2010 -0500

    Adapt to new GtkScrollable interface.

 gtkhtml/gtkhtml.c | 113 +++++++++++++++++++++++++++++++-----------------------
 1 file changed, 64 insertions(+), 49 deletions(-)

commit b266cd690d5372dc9398b6fc01364d4b0b10eebe
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Nov 8 14:34:30 2010 -0500

    Not gonna deal with deprecated API in GTK3 just yet.

 configure.ac | 2 --
 1 file changed, 2 deletions(-)

commit d99bbea2d99484cc9cbd0baab7782a58a00686c5
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jan 9 10:52:38 2011 -0500

    Drop backward-compatibility cruft.

 components/editor/gtkhtml-color-combo.c      |  7 ++--
 components/editor/gtkhtml-color-swatch.c     |  3 --
 components/editor/gtkhtml-face-tool-button.c |  7 ++--
 components/editor/gtkhtml-spell-dialog.c     |  3 --
 components/editor/main.c                     |  4 ---
 gtkhtml/Makefile.am                          |  1 -
 gtkhtml/gtk-compat.h                         | 53 ----------------------------
 gtkhtml/gtkhtml-embedded.c                   |  3 --
 gtkhtml/gtkhtml-search.c                     |  3 --
 gtkhtml/gtkhtml.c                            |  5 +--
 gtkhtml/htmldrawqueue.c                      |  3 --
 gtkhtml/htmlembedded.c                       |  3 --
 gtkhtml/htmlengine.c                         | 23 ++++++------
 gtkhtml/htmlselect.c                         | 14 +-------
 gtkhtml/htmltextinput.c                      |  3 --
 gtkhtml/test.c                               |  3 --
 gtkhtml/testgtkhtml.c                        |  3 --
 17 files changed, 18 insertions(+), 123 deletions(-)

commit 3085aadae6e63372c5e0083e383f323c4166a878
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Dec 16 12:08:04 2010 -0500

    Drop support for gtk+-2.0.

 components/editor/Makefile.am | 15 +++------------
 configure.ac                  | 43 ++++++++-----------------------------------
 gtkhtml/Makefile.am           | 22 ++++++++++------------
 3 files changed, 21 insertions(+), 59 deletions(-)

commit 40812281b51c5f7e058c5fd7070f71eb9bb994b2
Author: Wei-Lun Chao <chaoweilun@gmail.com>
Date:   Tue Jan 25 19:16:49 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 6 +++---
 po/zh_TW.po | 4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 5f41deb776b6aebcd835eed61a7fec9c3b94adcb
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 8 20:02:03 2011 -0500

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit efce90efd2707f1ea9b8725a60d3a85fbbaf0e0e
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 8 19:59:09 2011 -0500

    NEWS update for 3.91.5 release.

 NEWS | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit e0929e77e0dcc2e771a020650e61a91a3fc05d6d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 8 15:07:39 2011 -0500

    GtkhtmlComboBox: Fix runtime warnings with GTK3.
    
    GtkComboBox changed some implementation details, apparently.

 components/editor/gtkhtml-combo-box.c | 47 +++++++++++++++++++++--------------
 1 file changed, 29 insertions(+), 18 deletions(-)

commit 45acf6d0b2c8788881fbb0681b649b5bfd121cb9
Author: Wei-Lun Chao <chaoweilun@gmail.com>
Date:   Sat Jan 8 07:35:14 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 444 ++++++++++++++++++++++++++++++------------------------------
 po/zh_TW.po | 444 ++++++++++++++++++++++++++++++------------------------------
 2 files changed, 446 insertions(+), 442 deletions(-)

commit 42c837beba1d3f0f9afe1ebf1c0900edfc0891ba
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Jan 5 19:33:38 2011 +0100

    Bug #402693 - Sending centered or right-aligned text doubles the spacing

 gtkhtml/htmlclueflow.c | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit f592cefaee517aa2458a1a58cb108c68385d6521
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Jan 2 19:29:09 2011 +0100

    Updated Norwegian bokmål translation from Torstein Adolf Winterseth

 po/nb.po | 323 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 164 insertions(+), 159 deletions(-)

commit ea46dfd40f0cda1fa61498293f5f4e5f41f6b707
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Thu Dec 23 19:13:48 2010 +0100

    Added UG translation

 po/ug.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 0cdf1d1947712b4b041f19fdd985d247a32f9b5f
Author: Bharath Acharya <abharath@novell.com>
Date:   Tue Dec 21 17:11:16 2010 +0530

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f5f80303363d95e3d60709d782459cebe88d63ac
Author: Bharath Acharya <abharath@novell.com>
Date:   Tue Dec 21 16:54:06 2010 +0530

    News update for 3.91.4.1 release

 NEWS         | 7 +++++++
 configure.ac | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit e372f127bbcc528c1dfd582b6ba090b9191202a6
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Dec 21 12:01:33 2010 +0100

    One more place with EDITOR_API_VERSION instead of GTKHTML_API_VERSION

 components/editor/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2359eb43401479cb1360e9f6ecb4f72e49dc6b53
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Dec 21 10:20:14 2010 +0100

    Fix version mismatch in gtkhtml-editor.pc.in

 components/editor/gtkhtml-editor.pc.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 63c5ce0bd5941f8b24169968e0708a7150e2f5a4
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Dec 21 10:05:32 2010 +0100

    Fix a build break of the editor

 components/editor/Makefile.am | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 1c25f7e98db5fa3cf73f913575505ee91ebf7263
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Dec 20 20:19:17 2010 +0530

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 06dd29e32f255047a6e7853a92ef7d5adfa8306a
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Dec 20 18:28:16 2010 +0530

    News update for 3.91.4 release

 NEWS | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 6be98cf4f9f33c57c524f68589c186e4696da495
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Dec 20 18:26:53 2010 +0530

    Update gkthml API version in make file

 gtkhtml/Makefile.am | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6cab464ae5aa41e3a66a5b8df68e7ccc6149fa2f
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Dec 20 18:15:24 2010 +0530

    Replace erroneous gtkhtml version with editor API version

 components/editor/gtkhtml-editor.pc.in | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 3ebe5fdbabaf668e151a0e2b2f85e32e473c23ac
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Dec 20 17:58:56 2010 +0530

    Bump gtkhtml API version to accomodate api break

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6cedc0629441b61d9ec5ec033400d54237dcda6f
Author: Ivar Smolin <okul@linux.ee>
Date:   Mon Dec 20 15:21:08 2010 +0200

    [l10n] Updated Estonian translation

 po/et.po | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit fdb840af3b35c886cccfb7d018f4e99ce9304e84
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Dec 1 16:00:41 2010 +0100

    Bug #612344 - Crash in html_object_prev_not_type at htmlobject.c

 components/editor/gtkhtml-editor-private.h |  3 --
 components/editor/gtkhtml-editor-signals.c | 53 ++++++------------------------
 2 files changed, 10 insertions(+), 46 deletions(-)

commit c890e1adacd707e66502ef087f2dc734d56b1ffa
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Nov 29 20:26:03 2010 +0530

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dcf0dce5575666b61dea3ed59ec459d304563719
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Nov 29 15:22:52 2010 +0530

    News update for 3.91.3

 NEWS | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 4175dff8dd42d2587757c5fa0c9487fb4122e0ba
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Tue Nov 23 21:31:16 2010 +0700

    Updated Thai translation.

 po/th.po | 1095 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 518 insertions(+), 577 deletions(-)

commit 0de77cbbef0e1a58cd0118757f9e447e93f2dc7a
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Mon Nov 22 20:46:42 2010 -0500

    Bug 635576 - gtkhtml-editor-test link failure
    
    GTHREAD_LIBS is empty.  Use GTKHTML_LIBS instead.

 components/editor/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit affff5fa91354049a64d45c2b10ef6460d90cf03
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Sat Nov 20 11:52:06 2010 +0100

    Added UG translation

 po/ug.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit be95ffabe801e1c273f0bceb32d592e5a53eacb7
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Nov 18 12:13:20 2010 +0100

    Use GSourceFunc instead of GtkFunction

 gtkhtml/htmlengine.c  | 10 +++++-----
 gtkhtml/htmlimage.c   |  6 +++---
 gtkhtml/testgtkhtml.c |  6 +++---
 3 files changed, 11 insertions(+), 11 deletions(-)

commit 78f7bbed0efaa7d089fa27d33fc0b0a188ed9f2c
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Sat Nov 13 22:32:31 2010 +0100

    Added UG translation

 po/ug.po | 165 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 82 insertions(+), 83 deletions(-)

commit 030ef5aeb7c5f1e8afac1fead15a1ac54f66656c
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Nov 11 13:54:21 2010 +0100

    Bug #634578 - Highlighting text in preview renders it invisible

 gtkhtml/htmlgdkpainter.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 29942d05738845126f25fccd392e3f3d1ee35f71
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Nov 7 22:02:40 2010 -0500

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d12ef4f973ac6570700bc6a7c334414e4400f571
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Nov 7 22:01:16 2010 -0500

    NEWS update for 3.91.2 release.

 NEWS | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 532a9233fabda03f31e7d0065f6336fce887b31d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Nov 7 20:45:33 2010 -0500

    Coding style and whitespace cleanup.

 gtkhtml/htmlengine-edit-cursor.c | 2 +-
 gtkhtml/htmlgdkpainter.c         | 6 +++---
 gtkhtml/htmlimage.c              | 2 +-
 gtkhtml/htmlsearch.c             | 2 +-
 gtkhtml/htmltextslave.c          | 2 +-
 5 files changed, 7 insertions(+), 7 deletions(-)

commit ccb27d7492c29152c8651bcefd8aa9184b8ff3b2
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Nov 2 09:41:14 2010 +0100

    Requires cairo 1.10.0

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 18c3483e27907a9c5e93471b0233e8fa0f3cd5a5
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Oct 29 15:44:55 2010 -0400

    Fix text focus rectangle.

 gtkhtml/htmltextslave.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 513b562466316455f45601af9616528bfaeac9b5
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Oct 29 15:14:10 2010 -0400

    Fix various drawing glitches.

 gtkhtml/htmlengine-edit-cursor.c | 10 +++++-----
 gtkhtml/htmlgdkpainter.c         | 21 +++++++++++++++------
 2 files changed, 20 insertions(+), 11 deletions(-)

commit 43172c8a1bb1808ca81270abfce71c0875fe26fc
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Fri Oct 29 01:41:13 2010 +0100

    Updated Catalan (Valencian) translation

 po/ca@valencia.po | 814 +++++++++++++++++++++++++-----------------------------
 1 file changed, 378 insertions(+), 436 deletions(-)

commit 1bd7b771431cbaf6b47da60effb234052856c3a4
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Oct 27 21:40:01 2010 +0200

    Use 2.23.0 in gtk-compat.h

 gtkhtml/gtk-compat.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d085cd1cb81aab0767ab8276bef27b9ffdd832ed
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Oct 25 19:06:32 2010 -0400

    Fix build issues.

 gtkhtml/gtk-compat.h  | 11 +++++------
 gtkhtml/test.c        |  2 +-
 gtkhtml/testgtkhtml.c |  2 +-
 3 files changed, 7 insertions(+), 8 deletions(-)

commit e1d4723c7b2baaed73edfe1e9206f336b8853a13
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Oct 25 13:06:36 2010 -0400

    Bug 640072 - Convert rendering from GdkGC to cairo
    
    Original patch by William Jon McCann, updated by Kjartan Maraas, adapted
    for gtk+-2.0 and bug fixed by Matthew Barnes.

 components/editor/gtkhtml-color-combo.c      |   8 +-
 components/editor/gtkhtml-color-swatch.c     |   5 +-
 components/editor/gtkhtml-face-tool-button.c |   6 +-
 components/editor/main.c                     |   7 +-
 gtkhtml/gtk-compat.h                         |  26 +-
 gtkhtml/gtkhtml-embedded.c                   |  22 +-
 gtkhtml/gtkhtml-embedded.h                   |   2 +-
 gtkhtml/gtkhtml.c                            |  91 +++---
 gtkhtml/htmldrawqueue.c                      |   6 +-
 gtkhtml/htmlembedded.c                       |   7 +-
 gtkhtml/htmlengine-edit-cursor.c             |  33 +-
 gtkhtml/htmlengine.c                         |  25 +-
 gtkhtml/htmlengine.h                         |   6 +-
 gtkhtml/htmlgdkpainter.c                     | 454 ++++++++++++++-------------
 gtkhtml/htmlgdkpainter.h                     |   6 +-
 gtkhtml/htmlimage.c                          |  21 +-
 gtkhtml/htmlplainpainter.c                   |  13 +-
 gtkhtml/htmlselect.c                         |   9 +-
 gtkhtml/htmltextslave.c                      |  21 +-
 19 files changed, 424 insertions(+), 344 deletions(-)

commit 843c43872934c7bc504a81df03ddf2dd8debc5f6
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Thu Oct 21 18:54:53 2010 +0200

    Added UG translation

 po/LINGUAS |    1 +
 po/ug.po   | 1330 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1331 insertions(+)

commit 9cdef951c59ebbd4503697eb796ec65122b5cc99
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 20 10:23:29 2010 -0400

    Bug 632596 - Don't use GtkComboBoxEntry

 gtkhtml/htmlselect.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 3bf9eb43743cc1526802e0ce52b295e31e5a3c82
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 20 09:51:48 2010 -0400

    Bug 632601 - Handle combo box text API going away

 gtkhtml/gtk-compat.h  | 5 +++++
 gtkhtml/test.c        | 7 +++++--
 gtkhtml/testgtkhtml.c | 7 +++++--
 3 files changed, 15 insertions(+), 4 deletions(-)

commit a2bfdbd6de33fe616fa4eaba0cfb406f18e9e8c9
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Oct 18 19:46:38 2010 +0530

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f57020102c53fc084fad6b93436dbc7b496358f4
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Oct 18 15:42:19 2010 +0530

    News update for 2.91.1 release

 NEWS | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 2e28ebcfd2d2d922a2488c3ee657705827cdcf9d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Oct 14 16:05:34 2010 -0400

    Convert the AUTHORS file to UTF-8.

 AUTHORS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 017490ad3f6ca4d276439c629cb1c4998b1e611c
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:   Wed Oct 13 15:45:44 2010 +0300

    Updated Lithuanian translation.

 po/lt.po | 2910 ++++++++++++++++++++++++--------------------------------------
 1 file changed, 1135 insertions(+), 1775 deletions(-)

commit bee3cadb04469100ea9b83adde4eda504cfac6ef
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Oct 9 09:17:58 2010 +0900

    Updated Korean translation

 po/ko.po | 819 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 382 insertions(+), 437 deletions(-)

commit 63cb71fdf12588966bb5a1e94b75c80f2213cec7
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Oct 5 12:31:05 2010 +0200

    Bug #631321 - GtkObject is gone in GTK3

 components/editor/gtkhtml-color-combo.c      |  4 +-
 components/editor/gtkhtml-face-tool-button.c |  4 +-
 gtkhtml/gtkhtml-embedded.c                   | 12 +++--
 gtkhtml/gtkhtml.c                            | 66 ++++++++++++----------------
 gtkhtml/htmlprinter.c                        |  2 +-
 5 files changed, 39 insertions(+), 49 deletions(-)

commit 95851ba71635d728309b79e4b25c22e9aa968ee2
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Oct 4 09:49:39 2010 -0400

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d6510bde80b7c733f762569cface54b2f6b7c55b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Oct 4 09:10:04 2010 -0400

    Disable deprecation warnings in DISTCHECK_CONFIGURE_FLAGS.
    
    This is just temporary so we can run distcheck against gtk+-2.0.
    Remove this once the GdkGC-to-cairo conversion is finished.

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d9bd5d3e3d50ee50018bc85c9754d392ec04c3bd
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Oct 4 09:07:02 2010 -0400

    NEWS update for 3.91.0 release.

 NEWS | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit c0472a23d3b127a9764145c2035f8946054c29bf
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Oct 3 11:08:29 2010 -0400

    Whitespace cleanup.

 gtkhtml/htmlsearch.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit d485be9e7ef2a5be85191dc8747d358402c62c31
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Oct 3 10:11:36 2010 -0400

    Change version to 3.91.0.
    
    In accordance with http://live.gnome.org/TwoPointNinetyone.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a98b625c92e3d8a1ebf6cf66b64df41f7310c65b
Author: Simos Xenitellis <simos@gnome.org>
Date:   Thu Sep 30 15:16:46 2010 +0300

    l10n: Updated Greek translation for gtkhtml

 po/el.po | 830 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 388 insertions(+), 442 deletions(-)

commit 027debf5ffb836841a68ab4d20e17d41bedc0be2
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Sep 29 11:06:41 2010 +0200

    Bug #630360 - Crash when inserting html file in composer

 components/editor/gtkhtml-editor-actions.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 0df9f57288262dfd1284c81cee85b1abbf2e95d4
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Sep 28 18:28:20 2010 -0400

    Bump gtk+-2.0 requirement to 2.22.0.
    
    Remove backward-compatibility hacks for older GTK+ versions.

 a11y/object.c        |   4 --
 configure.ac         |   2 +-
 gtkhtml/gtk-compat.h | 158 ---------------------------------------------------
 3 files changed, 1 insertion(+), 163 deletions(-)

commit 872e88b2e86e7bd24edfbd306c8fe3d60c661c9f
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Fri Sep 24 18:44:48 2010 +0200

    Updated Dutch translation by Wouter Bolsterlee

 po/nl.po | 838 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 390 insertions(+), 448 deletions(-)

commit 62191fc4ead36b334b5404e4bc6d181f888148eb
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Fri Sep 24 12:20:32 2010 +0300

    Updated Arabic translation

 po/ar.po | 2999 ++++++++++++++++++++++++--------------------------------------
 1 file changed, 1171 insertions(+), 1828 deletions(-)

commit 4ceccc616aca1eca60f94a8df3657ad5a17a6913
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Sun Sep 19 01:09:29 2010 +0900

    Updated Japanese translation

 po/ja.po | 282 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 141 insertions(+), 141 deletions(-)

commit 57bbc12bed38ecfcd7a0da61dabcfc91d3f44c56
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Sep 17 22:58:36 2010 -0400

    Work around deprecation of gtk_dialog_set_has_separator().

 components/editor/gtkhtml-spell-dialog.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit b956b89617a1a39c66edd736b81dcba1b31c5a1b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Sep 17 14:01:01 2010 -0400

    Use new GDK keysym names if available.
    
    In GTK+ 2.21.8, the keysym names were renamed from GDK_* to GDK_KEY_*.
    
    I've added backward-compatibility macros to gtk-compat.h, which can be
    dumped as soon as we require GTK+ >= 2.22.0.

 components/editor/gtkhtml-color-combo.c      |  13 ++-
 components/editor/gtkhtml-face-tool-button.c |  13 ++-
 gtkhtml/gtk-compat.h                         | 158 +++++++++++++++++++++++++++
 gtkhtml/gtkhtml-search.c                     |   9 +-
 gtkhtml/gtkhtml.c                            |  22 ++--
 gtkhtml/htmlengine.c                         |   4 +-
 gtkhtml/htmltextinput.c                      |   5 +-
 7 files changed, 200 insertions(+), 24 deletions(-)

commit 80e1fe90c40e65ac3a36ea9cd0ded9d5f58dc102
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Thu Sep 16 23:45:45 2010 +0200

    Updated Danish translation

 po/da.po | 831 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 386 insertions(+), 445 deletions(-)

commit aa18ee3091b7b3cda23d9ab9de714ad362cbeae0
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Sep 13 08:22:52 2010 -0400

    Coding style cleanups.

 a11y/factory.c                          |   2 +-
 a11y/html.c                             |   6 +-
 a11y/object.c                           |  26 ++---
 a11y/text.c                             | 118 ++++++++++-----------
 a11y/utils.c                            |   8 +-
 gtkhtml/dllmain.c                       |   4 +-
 gtkhtml/gtkhtml-embedded.c              |  26 ++---
 gtkhtml/gtkhtml.c                       |  46 ++++----
 gtkhtml/htmlanchor.c                    |   2 +-
 gtkhtml/htmlbutton.c                    |   6 +-
 gtkhtml/htmlcheckbox.c                  |  10 +-
 gtkhtml/htmlembedded.c                  |  30 +++---
 gtkhtml/htmlengine-edit-cursor.c        |  18 ++--
 gtkhtml/htmlengine-edit-cut-and-paste.c |   2 +-
 gtkhtml/htmlengine-edit-fontstyle.c     |   2 +-
 gtkhtml/htmlengine-edit-table.c         |   2 +-
 gtkhtml/htmlengine-edit.c               |   2 +-
 gtkhtml/htmlengine-save.c               |   2 +-
 gtkhtml/htmlengine.c                    | 102 +++++++++---------
 gtkhtml/htmlengine.h                    |   4 +-
 gtkhtml/htmlentity.c                    |   2 +-
 gtkhtml/htmlform.c                      |   6 +-
 gtkhtml/htmlframe.c                     |  14 +--
 gtkhtml/htmlgdkpainter.c                |  14 +--
 gtkhtml/htmlhidden.c                    |   2 +-
 gtkhtml/htmliframe.c                    |  12 +--
 gtkhtml/htmlimage.c                     |   2 +-
 gtkhtml/htmlimageinput.c                |   2 +-
 gtkhtml/htmlobject.h                    |   4 +-
 gtkhtml/htmlpainter.c                   |   4 +-
 gtkhtml/htmlprinter.c                   |  18 ++--
 gtkhtml/htmlradio.c                     |   6 +-
 gtkhtml/htmlsearch.c                    |   4 +-
 gtkhtml/htmlselect.c                    |   4 +-
 gtkhtml/htmltable.c                     |   4 +-
 gtkhtml/htmltablecell.c                 |   2 +-
 gtkhtml/htmltext.c                      |   2 +-
 gtkhtml/htmltextarea.c                  |   2 +-
 gtkhtml/htmltextinput.c                 |  16 +--
 gtkhtml/htmltokenizer.c                 |  28 ++---
 gtkhtml/htmltokenizer.h                 |   2 +-
 gtkhtml/htmltype.c                      |   2 +-
 gtkhtml/htmlurl.c                       |  12 +--
 gtkhtml/test-stress.c                   |  18 ++--
 gtkhtml/testgtkhtml.c                   | 180 ++++++++++++++++----------------
 45 files changed, 390 insertions(+), 390 deletions(-)

commit 279686098b46eafa690ee6fcb8daee0c955492e9
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Sep 13 08:23:35 2010 -0400

    Post-branch version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f383a8d45a7b5909a1ee29dcf1f2fe5883eabc4f
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Sep 13 16:08:58 2010 +0530

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e31ea4beace400057344cccd3b40a43d36c55462
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Sep 13 11:52:08 2010 +0530

    News update for 3.31.92 release

 NEWS | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit aa0d85acb79c0b23cf723568e9b7944fedc5393d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Sep 12 06:29:12 2010 -0400

    Bug 629393 - git.mk breaks parallel builds

 git.mk | 177 ++++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 93 insertions(+), 84 deletions(-)

commit c244c5906e641a33b8aa86e7f577d558b0897d2f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Sep 11 13:42:40 2010 -0400

    Use --disable-gtk3 in DISTCHECK_CONFIGURE_FLAGS.
    
    GNOME 2.32 is still based on GTK+ 2.x.

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c4b4e3f8d4a6e1de9ea217c9d14bc5561dc19de7
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Sep 11 13:28:09 2010 -0400

    Coding style and whitespace cleanups.

 a11y/table.c                            |  26 ++--
 gtkhtml/gtkhtml-embedded.c              |   8 +-
 gtkhtml/gtkhtml-properties.c            |   8 +-
 gtkhtml/gtkhtml.c                       |  82 +++++------
 gtkhtml/gtkhtmldebug.c                  |   6 +-
 gtkhtml/htmlclueflow.c                  |  54 +++----
 gtkhtml/htmlcolorset.c                  |  60 ++++----
 gtkhtml/htmlcolorset.h                  |   4 +-
 gtkhtml/htmlengine-edit-cursor.c        |   2 +-
 gtkhtml/htmlengine-edit-cut-and-paste.c |  12 +-
 gtkhtml/htmlengine-edit-table.c         |  64 ++++----
 gtkhtml/htmlengine-edit-tablecell.c     |  68 ++++-----
 gtkhtml/htmlengine-save.c               |   2 +-
 gtkhtml/htmlengine.c                    |  52 +++----
 gtkhtml/htmlfontmanager.c               |  20 +--
 gtkhtml/htmlfontmanager.h               |   2 +-
 gtkhtml/htmlframeset.c                  |   2 +-
 gtkhtml/htmlgdkpainter.c                |   2 +-
 gtkhtml/htmlpainter.c                   |   6 +-
 gtkhtml/htmlprinter.c                   |   6 +-
 gtkhtml/htmlsearch.c                    |   2 +-
 gtkhtml/htmlsettings.h                  |   2 +-
 gtkhtml/htmlstyle.c                     |   4 +-
 gtkhtml/htmltable.c                     | 250 ++++++++++++++++----------------
 gtkhtml/htmltext.c                      |  90 ++++++------
 gtkhtml/htmltextslave.c                 |  32 ++--
 gtkhtml/htmltokenizer.c                 |  34 ++---
 gtkhtml/htmlundo.c                      |  16 +-
 gtkhtml/htmlurl.c                       |   2 +-
 gtkhtml/test-stress.c                   |  24 +--
 gtkhtml/test-suite.c                    |  16 +-
 gtkhtml/testgtkhtml.c                   |   4 +-
 32 files changed, 481 insertions(+), 481 deletions(-)

commit 446feef41ce1df5c60823aff2334ab24397ca8cf
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:   Sat Sep 11 19:13:46 2010 +0200

    Updated German translation

 po/de.po | 838 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 391 insertions(+), 447 deletions(-)

commit 4474c01ec3dd320322c28de4d09a1096bb0e0405
Author: Simon Brys <sbrys@novell.com>
Date:   Wed Sep 8 16:18:16 2010 +0530

    Bug #615511 (bnc) - Encoded question mark issues.
    
    Encoded question mark in HTML mails don't display correctly.

 gtkhtml/htmltokenizer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 54962d6860ab34a831d62a91d947afcc96d43d11
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Wed Sep 8 15:56:48 2010 +0530

    Bug #463936 (bnc) - Table insertion issues.
    
    Table inserted before existing text reformat text at end of line.
    Sets the default alignment to centre. This way, the text entered is not moved.

 gtkhtml/htmlengine-edit-table.c | 1 +
 1 file changed, 1 insertion(+)

commit e9985e19fdff67b8b2640378d449cbee507d10f8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Sep 7 18:57:28 2010 +0200

    Updated Polish translation

 po/pl.po | 667 +++++++++++++++++++++------------------------------------------
 1 file changed, 217 insertions(+), 450 deletions(-)

commit 84f4f37d71c91f227f9a8c9e0a38fc7f07356033
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Sep 7 18:37:17 2010 +0200

    Bug #623265 - Various memory leaks

 gtkhtml/htmlengine-edit-cut-and-paste.c |  6 +++--
 gtkhtml/htmlengine.c                    | 46 ++++++++++++++++++++++-----------
 gtkhtml/htmlobject.c                    |  2 ++
 3 files changed, 37 insertions(+), 17 deletions(-)

commit d089c3234d6b62040603ea6c9135bac5d018acad
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Sep 5 19:40:40 2010 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 709 +++++++++++++++++++++---------------------------------------
 po/zh_TW.po | 709 +++++++++++++++++++++---------------------------------------
 2 files changed, 488 insertions(+), 930 deletions(-)

commit 9a15c9bbc91341e2608c556cbe5570af2ad272de
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sat Sep 4 23:18:12 2010 +0100

    Updated Portuguese translation

 po/pt.po | 829 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 385 insertions(+), 444 deletions(-)

commit 14891a212d6bd7d0e00a0833d652114163dba1c3
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 1 09:31:33 2010 +0100

    Update British English translation

 po/en_GB.po | 835 ++++++++++++++++++++++++++++--------------------------------
 1 file changed, 388 insertions(+), 447 deletions(-)

commit 2cd507e048b5e04648e3262d2c1bbe488dda54c9
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Aug 31 10:21:12 2010 +0200

    Fix a build break - missing include file

 components/editor/gtkhtml-editor-actions.c | 1 +
 1 file changed, 1 insertion(+)

commit eb884038fcbc1c67e05e885590adbfacd690c364
Author: Jeff Cai <jeff.cai@sun.com>
Date:   Tue Aug 31 11:21:13 2010 +0800

    Fix for #613774, GtkHTMLStream should be freed by unref

 components/editor/gtkhtml-editor-actions.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 238bf9ab2ec3f4011ef80d4c20de263dd116ea89
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Mon Aug 30 22:28:54 2010 +0200

    Updated Hungarian translation

 po/hu.po | 659 +++++++++++++++++++++------------------------------------------
 1 file changed, 213 insertions(+), 446 deletions(-)

commit 9735b5f145ebaa820dca2795b57b4703ce73abd0
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Aug 29 19:21:30 2010 -0400

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a128b5d8d53a87c7138e03b32461f71348028ba9
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Aug 29 19:19:02 2010 -0400

    NEWS update for 3.31.91 release.

 NEWS | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 9cd5d370c79eb33c98afd06fd522ed955f4bfea4
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Aug 28 16:38:53 2010 -0400

    Coding style and whitespace cleanup.

 components/editor/gtkhtml-editor.h         | 6 ++++--
 components/editor/gtkhtml-spell-language.c | 2 +-
 gtkhtml/htmlentity.c                       | 2 +-
 3 files changed, 6 insertions(+), 4 deletions(-)

commit 16e09b8620d98ea8581546d0bca682992f66bcb4
Author: Ivar Smolin <okul@linux.ee>
Date:   Fri Aug 27 17:21:30 2010 +0300

    [l10n] Updated Estonian translation

 po/et.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 908a54e767ae388e9d616ff19fe1459aecbb456f
Author: Alexander Shopov <ash@contact.bg>
Date:   Mon Aug 23 14:02:55 2010 +0300

    Updated Bulgarian translation

 po/bg.po | 660 +++++++++++++++++++++------------------------------------------
 1 file changed, 214 insertions(+), 446 deletions(-)

commit b8b3d24d9bbfaa0eff898940add8503f78eb6032
Author: Hideki Yamane (Debian-JP) <henrich@debian.or.jp>
Date:   Mon Aug 23 00:53:30 2010 +0900

    Updated Japanese translation.

 po/ja.po | 1425 ++++++++++++++++----------------------------------------------
 1 file changed, 352 insertions(+), 1073 deletions(-)

commit 818cd59b6cfc1df8dba1210a54c116e9214109ad
Author: David Planella <david.planella@gmail.com>
Date:   Sun Aug 22 10:00:53 2010 +0200

    Updated Catalan translation

 po/ca.po | 826 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 384 insertions(+), 442 deletions(-)

commit ef0ed38c656e582cc2de31d3171ca4eef030033e
Author: Милош Поповић <gpopac@gmail.com>
Date:   Sun Aug 22 01:23:38 2010 +0200

    Updated Serbian translation

 po/sr.po       | 722 ++++++++++++++++++++++++++-------------------------------
 po/sr@latin.po | 722 ++++++++++++++++++++++++++-------------------------------
 2 files changed, 666 insertions(+), 778 deletions(-)

commit 7ac4cc781c176e1cf3ff37d0a052e9e6391aaac0
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Mon Aug 16 21:27:21 2010 +0200

    [l10n] Updated Italian translation

 po/it.po | 673 ++++++++++++++++++++-------------------------------------------
 1 file changed, 214 insertions(+), 459 deletions(-)

commit 5320070e0723ab35954517b961d73ae4d7fdb31c
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Aug 16 17:53:29 2010 +0530

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e671421af6743b1b925097d4016c411e0beb80bf
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Aug 16 16:02:03 2010 +0530

    News update for 3.31.90 release

 NEWS | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 87ace71b701e0e9b05c965475691a41f4b3b74e5
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Thu Aug 12 13:21:20 2010 +0530

    Add an option for disabling deprecated warning flags. We would handle the deprecated gdk gc past evolution-2.32

 configure.ac | 27 ++++++++++++++++++---------
 1 file changed, 18 insertions(+), 9 deletions(-)

commit b4913616477f4b9137620c6bf0670b61aac416a7
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Aug 13 14:10:17 2010 -0400

    Bug 605335 - Alignment of horizontal rules is not saved

 gtkhtml/htmlrule.c | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 344eb5e024b3db569baf69a497fcf580210ec75f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Aug 13 08:04:47 2010 -0400

    Remove GTK_DEST_DEFAULT_MOTION flag.
    
    Remove the default handler for "drag-motion" signals.  This allows
    Evolution's EMsgComposer to prevent drops at certain times, like when
    dragging from its own attachment bar.  Related to bug #624913.

 gtkhtml/gtkhtml.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e118a01dfefa589ce83fe43b13c5eb2732a0fcfb
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Aug 11 10:26:06 2010 -0400

    Remove -DGDK_DISABLE_DEPRECATED
    
    Until we can port the GDK drawing code to cairo.
    
    See: http://blogs.gnome.org/otte/2010/07/27/rendering-cleanup/

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit cb09929bb2392355ddec2af3a047ec204e0e1276
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Aug 9 19:18:08 2010 +0200

    Updated Czech translation

 po/cs.po | 435 +++++++++++++++++++--------------------------------------------
 1 file changed, 131 insertions(+), 304 deletions(-)

commit af5dead982374431f97df257b1502c28b0a80b6e
Author: Andika Triwidada <andika@gmail.com>
Date:   Mon Aug 9 18:24:38 2010 +0700

    Updated Indonesian translation

 po/id.po | 28 +++++++++++-----------------
 1 file changed, 11 insertions(+), 17 deletions(-)

commit 9d56753a426d6915efa8bdfddeffb1f9ecc74dea
Author: Claude Paroz <claude@2xlibre.net>
Date:   Fri Aug 6 19:51:14 2010 +0200

    Updated French translation

 po/fr.po | 555 ++++++++++++++++++---------------------------------------------
 1 file changed, 161 insertions(+), 394 deletions(-)

commit 9aef7ef27bda52bc8bb9fbc35deab5c047fc2429
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Aug 5 08:40:49 2010 -0400

    Bug 626090 - Only set -fno-strict-aliasing for GCC

 configure.ac | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

commit 2f948d0cae562d5d4dd3fc865b291a0ba003e56b
Author: Andika Triwidada <andika@gmail.com>
Date:   Thu Aug 5 10:34:07 2010 +0700

    Updated Indonesian translation

 po/id.po | 344 +++++++++++++++++----------------------------------------------
 1 file changed, 90 insertions(+), 254 deletions(-)

commit 2fbeae31c7f476b99966486cf3ad96f99a250866
Author: A S Alam <aalam@users.sf.net>
Date:   Wed Aug 4 15:21:03 2010 +0530

    update Punjabi Translation by A S Alam

 po/pa.po | 854 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 399 insertions(+), 455 deletions(-)

commit fa9d7a472eecf1729ac288e33c7af269ef1c1fa2
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 2 20:05:09 2010 -0400

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 21dde67e64c4c1cb7247b963b0e5a9c3209d2215
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 2 20:02:21 2010 -0400

    NEWS update for 3.31.6 release.

 NEWS | 148 +++++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 81 insertions(+), 67 deletions(-)

commit dccef18b0481a1a44b3a4d655b099dd185f21c0b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 2 17:54:33 2010 -0400

    Coding style and whitespace cleanup.

 gtkhtml/htmlengine-edit-cursor.c |  2 +-
 gtkhtml/htmltext.c               | 10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 03691b285f108255fc7c2d203a2de3e1bbfb6f92
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 2 10:16:54 2010 -0400

    Remove redundant check for gthread-2.0.
    
    gtk+-2.0 and gtk+-3.0 both require gthread-2.0.

 configure.ac | 8 --------
 1 file changed, 8 deletions(-)

commit db629e7fe3c2bed9dbd5461283909af008bf90ee
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Jul 30 11:02:11 2010 +0200

    Bug #625171 - Crash while pasting text with links

 gtkhtml/htmlengine-edit-cut-and-paste.c | 13 ++++++++-----
 gtkhtml/htmltext.c                      |  2 +-
 2 files changed, 9 insertions(+), 6 deletions(-)

commit 80f3736ba9b23d3dd5df8ff55756b9f1e98a68b3
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   Tue Jul 27 21:48:35 2010 +0700

    Updated Indonesian translation

 po/id.po | 2824 +++++++++++++++++++++++++-------------------------------------
 1 file changed, 1157 insertions(+), 1667 deletions(-)

commit 2628f0af053dc74868859f08d7a87a701d237a1f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Jul 27 14:33:26 2010 +0200

    Updated Slovenian translation

 po/sl.po | 849 ++-------------------------------------------------------------
 1 file changed, 18 insertions(+), 831 deletions(-)

commit afffa016d6d3d1312c63f53202d5f0d199f8e0f0
Author: Daniel Nylander <po@danielnylander.se>
Date:   Tue Jul 27 00:09:07 2010 +0200

    Updated Swedish translation

 po/sv.po | 793 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 339 insertions(+), 454 deletions(-)

commit fe51d1e4835c94b223f42dd4642f865be41a6eaf
Author: drtv <vasudeven@git.gnome.org>
Date:   Sat Jul 24 20:52:54 2010 +0530

    Updated Tamil translation

 po/ta.po | 833 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 387 insertions(+), 446 deletions(-)

commit a4723740342a4866db1c74c7725f22a57cc436c7
Author: Aron Xu <aronxu@gnome.org>
Date:   Sat Jul 24 18:38:20 2010 +0800

    Complete Simplified Chinese translation.

 po/zh_CN.po | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit db79be22c1aec3373c048f2940f4db4a66f56ade
Author: Aron Xu <aronxu@gnome.org>
Date:   Sat Jul 24 18:14:08 2010 +0800

    Update Simplified Chinese translation.

 po/zh_CN.po | 841 ++++++++++++++++++++++++++++--------------------------------
 1 file changed, 396 insertions(+), 445 deletions(-)

commit 1b851c5c94535d7189848f7e8c5ededb30e4c1ff
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Jul 20 13:51:27 2010 +0200

    Updated Galician translations

 po/gl.po | 446 +++++++++++++++++++--------------------------------------------
 1 file changed, 134 insertions(+), 312 deletions(-)

commit 17e5d90b89266958253c5df6b2f1e0f7c3575cfa
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Jul 14 21:37:36 2010 +0200

    Bug #610797 - Improve UTF-8 text sanitizing

 gtkhtml/htmlengine-edit-cut-and-paste.c |  12 ++--
 gtkhtml/htmltext.c                      | 119 +++++++++++++++++++-------------
 gtkhtml/htmltext.h                      |   3 +-
 3 files changed, 81 insertions(+), 53 deletions(-)

commit f8449637aa0a65f54631b4396dbe2f1089477f03
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Jul 14 13:38:06 2010 +0200

    Bug #624315 - Skip spelling update when no content set

 gtkhtml/gtkhtml.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 2f2b6a75b2a2a841dbe3585bf7e94f3074f5c786
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jul 12 18:13:45 2010 -0400

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5d53cd05250e0b3305c340f9a6da02859ea6f770
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jul 12 18:09:19 2010 -0400

    Amended NEWS update for 3.31.5 release.

 NEWS | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 36e7980ac93a823632c42052180bf162bf91aeaf
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jul 12 06:37:15 2010 -0400

    Bug 624149 - Check for NULL after gtkhtml_editor_run_open_dialog()

 components/editor/gtkhtml-editor-actions.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit feb8822ee27118b126534e843d02f0c0be5ded80
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jul 11 22:34:31 2010 -0400

    NEWS update for 3.31.5 release.

 NEWS | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit b1dc89727e3f035a4061ae5293f56e650068ba6a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jul 11 13:20:09 2010 -0400

    Coding style and whitespace cleanup.

 gtkhtml/gtkhtml-stream.c                |  2 +-
 gtkhtml/gtkhtml.c                       |  4 +--
 gtkhtml/gtkhtmldebug.c                  |  8 ++---
 gtkhtml/htmlclue.c                      | 10 +++---
 gtkhtml/htmlclueflow.c                  | 26 +++++++--------
 gtkhtml/htmlcolor.c                     |  4 +--
 gtkhtml/htmlcursor.c                    | 16 ++++-----
 gtkhtml/htmlengine-edit-cut-and-paste.c | 16 ++++-----
 gtkhtml/htmlengine-edit-table.c         | 46 +++++++++++++-------------
 gtkhtml/htmlengine-edit-tablecell.c     | 58 ++++++++++++++++-----------------
 gtkhtml/htmlengine-edit-text.c          |  2 +-
 gtkhtml/htmlengine-edit.c               |  8 ++---
 gtkhtml/htmlengine-print.c              |  2 +-
 gtkhtml/htmlengine.c                    |  4 +--
 gtkhtml/htmlfontmanager.c               | 12 +++----
 gtkhtml/htmlgdkpainter.c                |  2 +-
 gtkhtml/htmlobject.c                    | 30 ++++++++---------
 gtkhtml/htmlpainter.c                   |  8 ++---
 gtkhtml/htmlselection.c                 |  4 +--
 gtkhtml/htmlstyle.c                     | 10 +++---
 gtkhtml/htmltable.c                     | 52 ++++++++++++++---------------
 gtkhtml/htmltext.c                      | 48 +++++++++++++--------------
 gtkhtml/htmltextslave.c                 | 54 +++++++++++++++---------------
 gtkhtml/htmltokenizer.c                 | 20 ++++++------
 gtkhtml/htmlundo.c                      | 38 ++++++++++-----------
 gtkhtml/test-stress.c                   | 24 +++++++-------
 gtkhtml/test-suite.c                    |  8 ++---
 27 files changed, 258 insertions(+), 258 deletions(-)

commit 8a574a556ee2f70669829eb26d7e7059083e2ea3
Author: Petr Kovar <pknbe@volny.cz>
Date:   Sun Jul 11 16:53:54 2010 +0200

    Update Czech translation by Marek Cernocky

 po/cs.po | 755 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 349 insertions(+), 406 deletions(-)

commit ed0f82641a441ba8365f4b206f68796052ea6f7a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Jul 5 18:22:41 2010 +0200

    Updated Slovenian translation

 po/sl.po | 961 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 558 insertions(+), 403 deletions(-)

commit 194f434dd987b66a114b827d73ccb1d4b2c24b0a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 19:04:15 2010 -0400

    Work around sudden disapperance of GdkRegion in GTK+ 2.90.5.
    
    API was deprecated and removed in less than two hours!  Sheesh!

 gtkhtml/Makefile.am  |  1 +
 gtkhtml/gtk-compat.h | 25 +++++++++++++++++++++++++
 gtkhtml/htmlengine.c |  1 +
 3 files changed, 27 insertions(+)

commit 540b2d7301adf70b54decea206064ca33eb127d0
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Tue Jun 29 23:33:28 2010 +0530

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e3fd11fc5e444445ce7eda1d2d730705b4c3d082
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Tue Jun 29 23:13:40 2010 +0530

    News update for 2.31.4 release

 NEWS | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 3cc291a556ae041461fdbb7c0c42a4ba789d0c77
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 09:45:00 2010 -0400

    Lower gtk+-3.0 requirement to 2.90.4.
    
    Since 2.90.5 isn't released yet and the release team would probably
    like to assemble a 2.31.4 moduleset.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit da34cf383b4aefa56adb7d423ff1f0871d1a9994
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 09:39:23 2010 -0400

    Fix a Makefile.am typo.

 components/editor/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 42b3174a84e21361f4b5502c1082d09e97e549b3
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 08:52:51 2010 -0400

    Show the GTK+ package in configure summary.

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit c53919f87b6b18418cc937765b9f420390e8175a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 08:51:26 2010 -0400

    Build against gtk+-3.0 when running distcheck.

 Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit aad24cc54667f7be247b48aaf2e080b91fbb239d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 08:45:54 2010 -0400

    Fix up pkg-config file for gtkhtml-editor.
    
    Append an API version: 3.14 for gtk+-2.0, 4.0 for gtk+-3.0.

 components/editor/Makefile.am          | 22 +++++++++++++---------
 components/editor/gtkhtml-editor.pc.in |  2 +-
 2 files changed, 14 insertions(+), 10 deletions(-)

commit 447fec50179842e90d3cc721f53c69b4c5ddb123
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 08:31:53 2010 -0400

    Delete gail_minimum_version from configure.ac.
    
    Gail is part of GTK+ so just reuse gtk_minimum_version.

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit c551c7d28139f9f43429a4e83e3fef1ccee23e4b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 08:27:24 2010 -0400

    Use the appropriate version of gail.
    
    Require gail if building with gtk+-2.0, gail-3.0 if building with
    gtk+-3.0.

 configure.ac | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 2dfeb7241b1c0f41f79d1eab944be91d86e08d44
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Tue Jun 29 16:38:03 2010 +0530

    Update library versioning for the gtk3 libraries

 configure.ac        | 6 ++++++
 gtkhtml/Makefile.am | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 02c033ade9b069914d9107823cf99a3022274a0a
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Tue Jun 29 15:59:16 2010 +0530

    Add versioning to the installed libraries

 components/editor/Makefile.am | 21 +++++++++++++++------
 configure.ac                  |  3 ++-
 gtkhtml/Makefile.am           | 13 ++++++++++---
 3 files changed, 27 insertions(+), 10 deletions(-)

commit 49eb8d852f76e119782e59651be7c31b5bd9ac67
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Jun 28 20:40:59 2010 +0530

    compatibility with gtk2. bump api versions when compiled gtk-3.

 configure.ac | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

commit c39b34f79bbc82fc9a77af993a864be8e12d9a1e
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Jun 28 15:19:45 2010 +0530

    use gtk-3.0 if available

 configure.ac | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit 685aa181d33602854cbccb30134194b893d6e7bf
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Jun 23 08:53:40 2010 -0400

    Remove bogus drag destination targets.
    
    Following up on the previous commit message, Evolution's email composer
    now appends GtkHTML's drag destination target list, so the bogus drag
    destination targets can be removed from GtkHtml.
    
    This was done in Evolution commit c37352e.

 gtkhtml/gtkhtml.c | 8 --------
 1 file changed, 8 deletions(-)

commit 83823971806efeaa79c9c27d4e067a025e1beee9
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Jun 23 08:27:36 2010 -0400

    Split target lists for drag source and drag destination.
    
    GtkHtml was advertising bogus drag source targets like "text/calendar"
    and "text/x-vcard" because it was using the same target list when
    registering as a drag source and drag destination.
    
    Technically those aren't valid drag destination targets for GtkHtml
    either.  They were added in the Bonobo age so Evolution's email composer
    would accept them and add them to its attachment bar.  These days the
    composer should be amending GtkHtml's target list itself.  Will clean
    that up separately.

 gtkhtml/gtkhtml.c | 25 ++++++++++++++++++-------
 1 file changed, 18 insertions(+), 7 deletions(-)

commit 883e2bea88a974583bcc3aa7dc038de7b9f9dff6
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jun 21 20:22:36 2010 -0400

    Bug 444709 - Add support for multimedia keys

 components/editor/gtkhtml-editor-private.h |  4 ++++
 components/editor/gtkhtml-editor.c         | 21 +++++++++++++++++++++
 configure.ac                               | 10 ++++++++++
 3 files changed, 35 insertions(+)

commit 3ee71fe0d44ccb332c0a87f65b86272eef5c55a4
Author: Anita Reitere <nitalynx@gmail.com>
Date:   Mon Jun 21 14:50:33 2010 +0300

    Updated Latvian translation.

 po/lv.po | 3388 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1798 insertions(+), 1590 deletions(-)

commit 93a6362a515e2eaedb338795ded934c3ff6580c5
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Wed Jun 9 12:04:03 2010 +0530

    Fixes build

 gtkhtml/htmlembedded.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c0317ea543865e1619ee6756cc438a9f937cdf7e
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Wed Jun 9 11:36:11 2010 +0530

    Bug 344076 - Crash after closing an inline view of text attachment

 gtkhtml/htmlembedded.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit a77b5eb2f0197e524127a8b2d43128c9b5193fa0
Author: Bharath Acharya <abharath@novell.com>
Date:   Wed Jun 9 09:31:06 2010 +0530

    Bug #607324 - Crash doing table editing.
    
    Double free fixes.

 gtkhtml/htmlengine-edit-table.c | 3 ++-
 gtkhtml/htmlobject.c            | 2 --
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 4ac9b583e5f3c97cc0d15ea0e8ba9d7949f72e6e
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Jun 7 16:51:40 2010 +0530

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4fb1fdf647a950f7581cfaeb3be1ce471e0bc28d
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Jun 7 09:26:34 2010 +0530

    News update for 3.31.3 release

 NEWS | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 94d8c0a251d85103e9049e11d05327fe10a305ac
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jun 6 16:08:04 2010 -0400

    Coding style and whitespace cleanups.

 components/editor/gtkhtml-spell-language.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 464f939f15da3d044bfb4831e789e7ad8e6b139b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Jun 1 21:25:37 2010 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 22 +++++++++++++++-------
 1 file changed, 15 insertions(+), 7 deletions(-)

commit e1c6f2eba29e57de180e1e69824eac62befa3743
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri May 28 00:42:11 2010 +0300

    Updated Hebrew translation.

 po/he.po | 916 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 433 insertions(+), 483 deletions(-)

commit df48cba43ba4fb2e5c02324888b7021f7c821fdf
Author: Ivar Smolin <okul@linux.ee>
Date:   Thu May 27 08:32:50 2010 +0300

    Estonian translation updated

 po/et.po | 375 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 192 insertions(+), 183 deletions(-)

commit 323c68f8f69c729f404b9885a3253d4d655fa9dd
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue May 25 08:28:34 2010 +0200

    Updated Spanish translation

 po/es.po | 734 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 339 insertions(+), 395 deletions(-)

commit 17f54bb2463f1909eb751893d4d94fa3e694e996
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun May 23 12:32:36 2010 -0400

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ee77e80dc0f28f9230622b6c69cec014fde4224b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun May 23 11:15:10 2010 -0400

    NEWS update for 3.31.2 release.

 NEWS | 20 +++++++++++++++++++-
 1 file changed, 19 insertions(+), 1 deletion(-)

commit a86c7dd7c1f53b40804f920d74a115b796a81418
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri May 21 15:31:26 2010 +0200

    Bug #512468 - Wrap Lines keeps spaces in quoted text

 gtkhtml/htmlengine-edit.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 76646b3f6bcda710e47e5ac6cf8f754feb4afaba
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri May 21 14:37:13 2010 +0200

    Bug #597111 - Line wrap only acts on current paragraph regardless selection

 gtkhtml/htmlengine-edit.c | 86 ++++++++++++++++++++++++++++++-----------------
 1 file changed, 55 insertions(+), 31 deletions(-)

commit 98ae89d4a368ff5d797e918443817775e657373b
Author: Denis Pauk <pauk.denis@gmail.com>
Date:   Thu May 20 20:00:08 2010 +0200

    Reverting patch for bug #617543

 gtkhtml/Makefile.am | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit b7a13bd912b17ac535982a59e10dc97aa5e9d786
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu May 20 19:02:31 2010 +0200

    Updated Galician translations

 po/gl.po | 36 +++++++++++++++++++++---------------
 1 file changed, 21 insertions(+), 15 deletions(-)

commit da6162b8befc7d0ab041cf5513b8a8dd929dd94e
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed May 19 23:47:14 2010 +0200

    Bug #220672 - Excessive autosaving uses lots of resources

 components/editor/gtkhtml-editor.c      | 37 +++++++++++++++++++++++++++++++--
 gtkhtml/gtkhtml.c                       |  4 ++--
 gtkhtml/htmlengine-edit-clueflowstyle.c |  2 +-
 gtkhtml/htmlengine-edit-cut-and-paste.c | 32 ++++++++++++++--------------
 gtkhtml/htmlengine-edit-fontstyle.c     |  2 +-
 gtkhtml/htmlengine-edit-table.c         | 22 ++++++++++----------
 gtkhtml/htmlengine-edit-tablecell.c     | 20 +++++++++---------
 gtkhtml/htmlengine-edit-text.c          |  2 +-
 gtkhtml/htmlengine-edit.c               |  8 +++----
 gtkhtml/htmlengine.c                    | 23 ++++++++++++++++++--
 gtkhtml/htmlengine.h                    |  3 +++
 gtkhtml/htmltext.c                      |  2 +-
 gtkhtml/htmlundo.c                      | 26 +++++++++++++----------
 gtkhtml/htmlundo.h                      |  5 ++++-
 14 files changed, 125 insertions(+), 63 deletions(-)

commit 52ad8a829049ae3a99d1b53fc5b695f507152479
Author: Denis Pauk <pauk.denis@gmail.com>
Date:   Wed May 19 23:17:31 2010 +0200

    Bug #617543 - Fix build if changed GTKHTML_API_VERSION

 gtkhtml/Makefile.am | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 2e0170762e11ace4a4356700058b534b08950aeb
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed May 19 12:26:31 2010 -0400

    Don't use GSEAL_ENABLE just yet.
    
    Defer this until we require a version of GTK+ that includes
    gtk_accessible_get_widget().

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit 4784f0a6a8fe23957917981152a61b402fa30bde
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed May 19 11:37:08 2010 -0400

    Bug 615294 - Does not compile with -DGSEAL_ENABLE

 configure.ac      |  1 +
 gtkhtml/gtkhtml.c | 75 ++++++++++++++++++++++++++++++++++++++++++++++++++-----
 2 files changed, 70 insertions(+), 6 deletions(-)

commit 6f66ae541d4b064ebf57c1d5d1576ab90419fc56
Author: Thomas Thurman <tthurman@gnome.org>
Date:   Wed May 12 18:41:46 2010 -0400

    Updated Shavian transliteration

 po/en@shaw.po | 811 ++++++++++++++++++++++++++++++----------------------------
 1 file changed, 414 insertions(+), 397 deletions(-)

commit c57dc6fe1be519cbab925ea693b7a0a6f8b2b9c3
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue May 11 16:10:10 2010 +0200

    Bug #618368 - Doesn't make all pasted links clickable

 gtkhtml/htmltext.c | 22 +++++++++++++++-------
 1 file changed, 15 insertions(+), 7 deletions(-)

commit 8577a2e8e7d2a6accbe1846f439dd14d6077abc1
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:   Wed May 5 16:00:30 2010 +0200

    [win32] Relocate relevant paths to data

 components/editor/gtkhtml-spell-language.c | 71 ++++++++++++++++++++++++++++++
 1 file changed, 71 insertions(+)

commit 23e7fbcd97b6118e901666c96ef729fd874ddf20
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon May 3 20:04:09 2010 +0530

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b8e8ff5dffc2bf4cd8c02dcf62ec372ed26cc7ab
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon May 3 17:47:14 2010 +0530

    news update for 2.31.1 release

 NEWS | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit 8a6cf4933f0876b5ac2cb0a303cfa15ffa358534
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun May 2 11:06:55 2010 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 549 ++++++++++++++++++---------------------------------------------
 1 file changed, 154 insertions(+), 395 deletions(-)

commit 25e375ae765ba85144feac1e7f0376c3c604e4c0
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat May 1 18:10:38 2010 -0400

    Coding style cleanup.

 gtkhtml/htmlengine.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1a395fb5e65685a71049991b3f5b028914aef079
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Apr 28 20:02:37 2010 +0200

    Bug #575038 - Cursor/caret mode breaks magic spacebar

 gtkhtml/gtkhtml.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 38664274af1b69557b7dfc9aff8d43b6b0ddf002
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Apr 23 12:43:53 2010 +0200

    Bug #247302 - Wrong letter color with HTML content rendering

 gtkhtml/htmlstyle.c | 31 ++++++++++++++++++++++++++++++-
 1 file changed, 30 insertions(+), 1 deletion(-)

commit b515824c03f0e7848e1e6fd4cda5eb3181c7a0ed
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Wed Apr 21 23:13:07 2010 +0200

    Updated Catalan (Valencian) translation

 po/ca@valencia.po | 623 ++++++++++++++++++++++++++++++++----------------------
 1 file changed, 376 insertions(+), 247 deletions(-)

commit c9173f161b90431dbc44f30753e501d5c6627af9
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 17 19:00:21 2010 -0400

    Use gtk_accessible_get_widget() if available.

 a11y/object.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 8d7db0b2135d039ebb969b67bbe05594705844ce
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 17 16:54:11 2010 -0400

    Fix most GSEAL issues.

 components/editor/gtkhtml-color-combo.c      | 21 ++++-----
 components/editor/gtkhtml-color-swatch.c     |  2 +-
 components/editor/gtkhtml-face-tool-button.c | 19 +++-----
 configure.ac                                 |  2 +-
 gtkhtml/gtkhtml-embedded.c                   |  9 ++--
 gtkhtml/gtkhtml.c                            | 68 ++++++++++++++--------------
 gtkhtml/htmlengine-search.c                  |  9 +++-
 gtkhtml/htmlengine.c                         | 22 +++++----
 gtkhtml/htmlselection.c                      |  4 --
 9 files changed, 76 insertions(+), 80 deletions(-)

commit 6b409ed36523c9740d13ad5e2ac09036d04ee348
Author: Francisco Diéguez <fran.dieguez@mabishu.com>
Date:   Sat Apr 17 21:53:08 2010 +0200

    Updated Galician translations

 po/gl.po | 694 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 317 insertions(+), 377 deletions(-)

commit e2fc37ebd85032fac0a72d534854362867e2c840
Author: Mario Carrion <mario@carrion.mx>
Date:   Fri Apr 9 12:20:29 2010 +0530

    Bug 615205 - Translations not working in Emoticons and Find/Replace dialogs.

 components/editor/gtkhtml-editor-private.c    | 2 ++
 components/editor/gtkhtml-face-chooser-menu.c | 6 +++++-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 81e3a0b270af6850db1cfa2f8e6c2d140688da82
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Apr 2 17:38:33 2010 -0400

    Generate ChangeLog files for tarball releases.
    
    Remove old ChangeLog files that predate our switch to git.

 ChangeLog                     |  1920 +---
 Makefile.am                   |    16 +
 a11y/ChangeLog                |   361 -
 art/ChangeLog                 |   130 -
 components/editor/ChangeLog   |   463 -
 components/editor/Makefile.am |     1 -
 doc/ChangeLog                 |    24 -
 gtkhtml/ChangeLog             | 20994 ----------------------------------------
 po/ChangeLog                  |  4460 ---------
 9 files changed, 19 insertions(+), 28350 deletions(-)

commit 9d551b767dc8b5fcb425531cff628a129d15369d
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Apr 2 18:58:52 2010 +0200

    Bug #551554 - gtkhtml translation issues (add translation comments)

 components/editor/gtkhtml-editor-actions.c  | 7 +++++++
 components/editor/gtkhtml-editor-builder.ui | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 67c10eb291748ac9003f40ba3ac8f37e74cd805d
Author: Jordi Serratosa <jordis.lists@gmail.com>
Date:   Fri Apr 2 18:30:37 2010 +0200

    Fixes to Catalan translation

 po/ca.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4a06354d37e9c875bcf799cea1a2ea0b46c1a007
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Apr 2 16:23:00 2010 +0200

    Bug #514611 - Add translators comments and one string

 components/editor/gtkhtml-editor-actions.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 718ad79bd3cc26de39ea070adea26ed7d22fefbe
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Apr 1 21:17:50 2010 +0200

    Bug #325121 - Do not translate developer strings in g_param_spec_*

 components/editor/gtkhtml-color-combo.c   | 42 +++++++++++--------------------
 components/editor/gtkhtml-color-state.c   | 20 +++++++--------
 components/editor/gtkhtml-color-swatch.c  |  8 +++---
 components/editor/gtkhtml-combo-box.c     |  4 +--
 components/editor/gtkhtml-editor.c        | 28 ++++++++++-----------
 components/editor/gtkhtml-spell-checker.c |  4 +--
 components/editor/gtkhtml-spell-dialog.c  |  4 +--
 gtkhtml/gtkhtml.c                         | 40 ++++++++++++++---------------
 8 files changed, 68 insertions(+), 82 deletions(-)

commit d84fd7347a3e6c8c667078a95184d60e87035270
Author: Denis Pauk <pauk.denis@gmail.com>
Date:   Thu Apr 1 16:51:11 2010 +0200

    Bug #602634 - Not fully supported list types

 gtkhtml/htmlclueflow.c | 12 ++++++++++++
 gtkhtml/htmlengine.c   | 29 ++++++++++++++++++-----------
 gtkhtml/htmlenums.h    |  5 ++++-
 3 files changed, 34 insertions(+), 12 deletions(-)

commit 8ef6010ad902802201a49c858b235c9bfeccd59b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Mar 31 16:35:02 2010 -0400

    Post-release version bump.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cd414649da103fd1fc898d943740dda4a11e6033
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Mar 30 22:07:04 2010 +0200

    Bug #461203 - Do not select text on drop abort

 gtkhtml/gtkhtml.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 426806b4cfc628c05c637147cdf59965097ec426
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Tue Mar 30 18:07:56 2010 +0200

    Dutch translation updated by Wouter Bolsterlee

 po/nl.po | 2619 ++++++++++++++++++++++++--------------------------------------
 1 file changed, 1019 insertions(+), 1600 deletions(-)

commit 5f4ccfe0ce049bdf003016f86ecaed5b9aa21299
Author: Nikos Bakaoukas <nikolaosx1@gmail.com>
Date:   Sat Mar 27 22:26:46 2010 +0200

    Updated Greek translation for gtkhtml

 po/el.po | 2166 ++++++++++++++------------------------------------------------
 1 file changed, 489 insertions(+), 1677 deletions(-)

commit 94e80f09bd6bcaef60f97f1c1e717bfd030fa5a5
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   Sun Mar 28 00:25:08 2010 +0600

    Updated Bengali translation

 po/bn.po | 140 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 68 insertions(+), 72 deletions(-)

commit 1c32f90b7cbf1368933a395d38305f93a0eb0519
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sat Mar 27 16:31:36 2010 +0100

    Updated Danish translation

 po/da.po | 398 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 207 insertions(+), 191 deletions(-)

commit 729fea9ea82db5872fd4201a4e708d4a4656d6e4
Author: Tommi Vainikainen <thv@iki.fi>
Date:   Thu Mar 25 17:39:47 2010 +0200

    Updated Finnish translation

 po/fi.po | 591 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 230 insertions(+), 361 deletions(-)

commit 846fc91c01936afbd3c4d954eda0e79b7a24d057
Author: Miloš Popović <mpopovic@src.gnome.org>
Date:   Wed Mar 24 10:01:12 2010 +0100

    Updated Serbian translations

 po/sr.po       | 417 +++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po | 409 ++++++++++++++++++++++++++++---------------------------
 2 files changed, 422 insertions(+), 404 deletions(-)

commit fb15b4e0094fd26e1f8ea0a343eea05f38315708
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Tue Mar 23 19:13:46 2010 +0100

    Updated Basque language

 po/eu.po | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit edb5118a58c19901b59ee53fd61b4ccaf1fe038f
Author: Gil Forcada <gforcada@gnome.org>
Date:   Fri Mar 19 21:01:39 2010 +0100

    Updated Catalan translation

 po/ca.po | 410 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 213 insertions(+), 197 deletions(-)

commit 6a2127675d5be7eca49636bcbb0db3810b885e67
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Mar 19 19:27:20 2010 +0100

    Bug #613181 - Mistakenly removed statement

 gtkhtml/htmlengine.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
